<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Treatment;
use App\Repositories\Interfaces\Doctorinterface;
use App\Repositories\Interfaces\Cmsinterface;
use Illuminate\Http\Request;
use Illuminate\View\View;
use App\Traits\FileUploadTrait;

class CmsController extends Controller
{
    use FileUploadTrait;
    private $repoCms;

    public function __construct(Cmsinterface $repoCms/*,OrderInterface $repoOrder*/)
    {
        $this->repoCms = $repoCms;
    }

    public function list(Request $request)
    {
        $cms = $this->repoCms->list();

        return view('Admin.Cms.list')
            ->with('cms', $cms);
    }

    public function edit(Request $request, $id)
    {
        $cms = $this->repoCms->find($id);

        if (!$cms) {
            abort(404, 'Cms not found');
        }

        return view('Admin.Cms.edit')
            ->with('cms', $cms);
    }

    public function update(Request $request, $id)
    {
        // Validate the request data
        $validatedData = $request->validate([
            'title_en' => 'nullable|string',
            'title_ar' => 'nullable|string',
            'title_bn' => 'nullable|string',
            'title_hi' => 'nullable|string',



            'content_en' => 'nullable|string',
            'content_bn' => 'nullable|string',
            'content_hi' => 'nullable|string',
            'content_ar' => 'nullable|string',


            'img' => 'image|mimes:jpeg,png,jpg,gif,webp|max:2048',

        ]);


        // $treatment = $this->repoTreatment->update($validatedData);
        $imgName = $this->uploadFile(4, $request->img);
        $cms = $this->repoCms->update($id, $validatedData, $imgName);

        return redirect()->route('cms.list')->with('success', 'Treatment updateted successfully!');
    }

}
