<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Interfaces\Countinterface;
use App\Traits\FileUploadTrait;
use Illuminate\Http\Request;
use Illuminate\View\View;

class CountController extends Controller
{

    use FileUploadTrait;
    private $repoCountinterface;

    public function __construct(Countinterface $repoCountinterface/*,OrderInterface $repoOrder*/)
    {
        $this->repoCountinterface = $repoCountinterface;
    }

    public function list(Request $request)
    {
        $count = $this->repoCountinterface->list();

        Log::info(json_encode($count));
        return view('dashboard')->with('countInfo',$count);
    }

    public function delete($id)
    {
        $deletedEnquery = $this->repoEnquery->delete($id);

        if ($deletedEnquery) {
            // Handle successful soft delete
            return redirect()->route('enquery.list')->with('success', 'Enquery deleted successfully');
        } else {
            // Handle case where doctor is not found
            return redirect()->route('enquery.list')->with('error', 'Enquery not found');
        }
    }

}
