<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\SiteSettings;
use App\Repositories\Interfaces\UserInterface;
use Illuminate\Http\Request;

class SiteSettingsController extends Controller
{

    private $repoSitesettings;

    public function __construct(UserInterface $repoSitesettings/*,OrderInterface $repoOrder*/)
    {
        $this->repoSitesettings = $repoSitesettings;
    }

    public function site_settings_admin(Request $request)
    {
        $siteInfo = $this->repoSitesettings->siteSettingsList();
        return view('Admin.SiteSettings.list')
            ->with('siteInfo', $siteInfo);
    }

    public function editSiteSettings($id)
    {
        $siteSettings = SiteSettings::find($id);

        if (!$siteSettings) {
            // Handle the case where the site settings with the given ID are not found
            return redirect()->route('sitesettings.list')->with('error', 'Site settings not found.');
        }
        return view('Admin.SiteSettings.edit', compact('siteSettings'));
    }

    public function updateSiteSettings(Request $request, $id)
    {
        $data = $request->all();
        $this->repoSitesettings->updateSiteSettings($data);
        return redirect()->route('sitesettings.list')->with('success', 'Site settings updated successfully.');
    }

}
