<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Treatment;
use App\Models\Hospital;
use App\Repositories\Interfaces\Teaminterface;
use App\Traits\FileUploadTrait;
use Illuminate\Http\Request;
use Illuminate\View\View;
use App\Models\City;
class TeamController extends Controller
{

    use FileUploadTrait;
    private $repoTeam;

    public function __construct(Teaminterface $repoTeam/*,OrderInterface $repoOrder*/)
    {
        $this->repoTeam = $repoTeam;
    }

    public function list(Request $request)
    {
        $team = $this->repoTeam->list();

        return view('Admin.Team.list')
            ->with('teams', $team);
    }

    public function create(Request $request)
    {
        return view('Admin.Team.create');
    }

    public function store(Request $request)
    {

        $validatedData = $request->validate([
            'img' => 'required|image|mimes:jpeg,png,jpg,gif,webp|max:2048',

            'name' => 'required|string',



        ]);

        $imgName = $this->uploadFile(1, $request->img);
        $testimonial = $this->repoTeam->store($request, $imgName);
        return redirect()->route('teams.list')->with('success', 'Team created successfully!');
    }

    public function edit(Request $request, $id)
    {
        $testimonial = $this->repoTeam->find($id);



        return view('Admin.Team.edit')
            ->with('testimonialInfo', $testimonial);

    }

    public function update(Request $request, $id)
    {
        // Validate the request data
        $validatedData = $request->validate([


            'name' => 'required|string',



        ]);

        $hospital = $this->repoTeam->update($id, $request);
        return redirect()->route('teams.list')->with('success', 'Doctor updateted successfully!');
    }

    public function update_img(Request $request, $id)
    {
        // Validate the request data
        $validatedData = $request->validate([
            'img' => 'sometimes|image|mimes:jpeg,png,jpg,gif,webp|max:2048'
        ]);

        $imgName = $this->uploadFile(7, $request->img);
        $hospital = $this->repoTeam->update_img($id, $request, $imgName);
        return redirect()->route('teams.list')->with('success', 'Hospital Image updateted successfully!');
    }



    public function delete($id)
    {
        $deletedHospital = $this->repoTeam->delete($id);

        if ($deletedHospital) {
            // Handle successful soft delete
            return redirect()->route('teams.list')->with('success', 'Doctor deleted successfully');
        } else {
            // Handle case where doctor is not found
            return redirect()->route('teams.list')->with('error', 'Doctor not found');
        }
    }

}
