<?php

namespace App\Http\Controllers;

use App\Models\FileStaging;
use App\Traits\CommonUtils;
use App\Traits\FileUploadTrait;
use DB;
use Illuminate\Http\Request;

class FileController extends Controller
{

    use FileUploadTrait;
    use CommonUtils;

    public function uploadForm(Request $request)
    {
        $list = FileStaging::select('id', 'file_size', 'file_cat_id'
            , 'original_name', 'upload_name'
            , 'is_uploaded', 'is_delete'
            , DB::raw('id, lpad(id, 10, 0) as ref'))
            ->where('is_delete', false)
            ->where('file_cat_id', 1)
            ->orderBy('id', "DESC")
            ->paginate(5);

        $list->map(function ($item) {
            $item['ref'] = 'FILE' . $item->ref;
            $item['file_size'] = $this->formatBytes($item->file_size);

        });

        $data['records'] = $list;
        return view('files_and_docs.file_upload', $data);
    }
    public function uploadFormSubmit(Request $request)
    {
        $file = $request->file('file');

        $fileName = $this->uploadFile(1, $file);
        return redirect()->route('file.upload')->with('success', 'File Upload Successful');
        //return view('samples.file_upload');
    }
}
