<?php

namespace App\Http\Controllers\Login;

use App\Http\Controllers\Controller;
use App\Traits\LogUtils;
use Auth;
use Illuminate\Http\Request;
use Validator;
use Log;
use App\Repositories\Interfaces\Countinterface;

class AuthController extends Controller
{

    use LogUtils;

    private $repoCountinterface;

    public function __construct(Countinterface $repoCountinterface/*,OrderInterface $repoOrder*/)
    {
        $this->repoCountinterface = $repoCountinterface;
    }

    public function index()
    {
        return view('login');
    }

    public function submitLogIn(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required|exists:users,email',
            'password' => 'required',
        ]);

        if ($validator->fails()) {
            //$request->session()->flash('error','Please Enter All Fields');
            $this->printf(json_encode($validator->errors()->all()[0]));
            return \Redirect::back()->withErrors($validator->errors()->all());
        }

        $auth = auth()->attempt([
            'email' => $request->email,
            'password' => $request->password,
        ]);

        if ($auth) {
            //return \Redirect::back()->with('success', 'LogIn Success');
            return redirect()->route('dashboard')->with('success', 'Welcome to your dashboard');
        }

        return redirect()->back()->with('error', 'Email or Password does not match');
    }

    public function logout()
    {
        try {
            Auth::logout();
            return \Redirect::Route('login');
        } catch (Exception $e) {

        }
    }

    public function dashboard(request $request)
    {
        $count = $this->repoCountinterface->list();

        Log::info(json_encode($count));
        return view('dashboard')->with('countInfo', $count);
        //  return view('dashboard');
    }
}
