<?php

namespace App\Http\Controllers;

use Artisan;
use DB;

class SystemController extends Controller
{

    public function index()
    {
        return view('setup.index');
    }

    public function migration()
    {
        \Artisan::call('optimize');
        \Artisan::call('route:clear');
        \Artisan::call('migrate');
        return redirect()->back()->with('success', "Migration successful");
    }
    public function migrationFresh()
    {
        \Artisan::call('optimize');
        \Artisan::call('route:clear');
        \Artisan::call('migrate:fresh');
        return redirect()->back()->with('success', "Fresh migration successful");
    }
    public function migrationFreshWithSeed()
    {
        \Artisan::call('optimize');
        \Artisan::call('route:clear');
        \Artisan::call('migrate:fresh --seed');
        return redirect()->back()->with('success', "Fresh migration and seeding successful");
    }

    public function seed()
    {
        \Artisan::call('db:seed');
        return redirect()->back()->with('success', "Seed processed Successfully");
    }
    public function clearCache()
    {
        \Artisan::call('cache:clear');

        return redirect()->back()->with('success', "Cache Cleared Successfully");
    }
    public function clearCacheView()
    {
        \Artisan::call('view:clear');

        return redirect()->back()->with('success', "View Cache Cleared Successfully");
    }
    public function optimize()
    {

        \Artisan::call('optimize');
        \Artisan::call('route:clear');

        return redirect()->back()->with('success', "Optimization Successful");
    }

    public function truncateAllTables()
    {
        DB::statement("SET foreign_key_checks=0");
        $databaseName = DB::getDatabaseName();
        $tables = DB::select("SELECT * FROM information_schema.tables WHERE table_schema = '$databaseName'");
        foreach ($tables as $table) {
            $name = substr($table->TABLE_NAME, 4);

            DB::table($name)->truncate();
        }
        DB::statement("SET foreign_key_checks=1");

        return redirect()->back()->with('success', "Database Truncate Successfully");
    }

}
