<?php

namespace App\Http\Controllers\website;

use App;
use App\Http\Controllers\Controller;
use App\Repositories\Interfaces\UserInterface;
use App\Traits\CommonUtils;
use App\WebRepositories\Interfaces\DoctorInterface;
use App\WebRepositories\Interfaces\EnqueryInterface;
use App\WebRepositories\Interfaces\NewslatterInterface;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use App\WebRepositories\Interfaces\Treatmentinterface;
use Illuminate\Http\Request;
use Log;

class DoctorController extends Controller
{
    use CommonUtils;
    private $repoUser;
    private $repoEnquery;
    private $repoNewslatter;
    private $repoSiteSetting;
    private $repoTreatment;
    private $repoDoctor;

    public function __construct(UserInterface $repoUser
        , EnqueryInterface $repoEnquery
        , NewslatterInterface $repoNewslatter
        , SiteSettingInterface $repoSiteSetting
        , Treatmentinterface $repoTreatment
        , DoctorInterface $repoDoctor) {

        $this->repoUser = $repoUser;
        $this->repoEnquery = $repoEnquery;
        $this->repoNewslatter = $repoNewslatter;
        $this->repoSiteSetting = $repoSiteSetting;
        $this->repoTreatment = $repoTreatment;
        $this->repoDoctor = $repoDoctor;

    }

    public function list(Request $request)
    {
        $siteInfo = $this->repoSiteSetting->getHeaderFooterData();

        $doctors = $this->repoDoctor->getList($request);

        Log::info($doctors);
        return view('website.doctor.doctors')->with('siteInfo', $siteInfo)->with('doctors', $doctors);
    }

    public function view($ref, Request $request)
    {

        $doctorId = $this->getIdFromRefNumber($ref);
        $siteInfo = $this->repoSiteSetting->getHeaderFooterData();

        $doctor = $this->repoDoctor->getDoctor($doctorId);

        if ($doctor == null) {
            return redirect()->back()->with('error', "Doctor not found.");
        }

        Log::info($doctor);
        return view('website.doctor.doctor')->with('siteInfo', $siteInfo)->with('item', $doctor);
    }

}
