<?php

namespace App\Http\Controllers\website;

use App;
use App\Http\Controllers\Controller;
use App\Repositories\Interfaces\UserInterface;
use App\Traits\CommonUtils;
use App\WebRepositories\Interfaces\CityInterface;
use App\WebRepositories\Interfaces\EnqueryInterface;
use App\WebRepositories\Interfaces\HospitalInterface;
use App\WebRepositories\Interfaces\NewslatterInterface;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use App\WebRepositories\Interfaces\Treatmentinterface;
use Illuminate\Http\Request;
use Log;

class HospitalController extends Controller
{

    private $repoUser;
    private $repoEnquery;
    private $repoNewslatter;
    private $repoSiteSetting;
    private $repoTreatment;
    private $repoHospital;
    private $repoCity;
    use CommonUtils;
    public function __construct(UserInterface $repoUser
        , EnqueryInterface $repoEnquery
        , NewslatterInterface $repoNewslatter
        , SiteSettingInterface $repoSiteSetting
        , Treatmentinterface $repoTreatment
        , HospitalInterface $repoHospital
        , CityInterface $repoCity) {

        $this->repoUser = $repoUser;
        $this->repoEnquery = $repoEnquery;
        $this->repoNewslatter = $repoNewslatter;
        $this->repoSiteSetting = $repoSiteSetting;
        $this->repoTreatment = $repoTreatment;
        $this->repoHospital = $repoHospital;
        $this->repoCity = $repoCity;

    }

    public function listByCity(Request $request)
    {
        $siteInfo = $this->repoSiteSetting->getHeaderFooterData();
        $currentoptions = $this->repoTreatment->getTreatmentCurrentOptios($request);
        $poppulars = $this->repoTreatment->getTreatmentpopular($request);

        $hospitals = $this->repoHospital->getList($request);

        Log::info($request->city_ref);

        $cityRef = $request->city_ref;

        $pageInfo = null;

        if (isset($cityRef)) {

            $cityId = $this->getIdFromRefNumber($cityRef);

            $pageInfo = $this->repoCity->getCityForPageInfo($cityId);
        }

        $treatmentRef = $request->treatment_ref;
        if (isset($treatmentRef)) {

            $treatmentId = $this->getIdFromRefNumber($treatmentRef);

            $pageInfo = $this->repoTreatment->getForPageInfo($treatmentId);
        }
        return view('website.hospital.hospitals')

            ->with('siteInfo', $siteInfo)
            ->with('current_options', $currentoptions)
            ->with('populars_treatrments', $poppulars)
            ->with('hospitals', $hospitals)
            ->with('pageInfo', $pageInfo);
    }


    public function view(Request $request, $hospitalId)
    {

        $hospitalDetails = $this->repoHospital->getHospitalById($hospitalId);
        $hospitals = $this->repoHospital->getList($request);

        $currentoptions = $this->repoTreatment->getTreatmentCurrentOptios($request);

        $poppulars = $this->repoTreatment->getTreatmentpopular($request);



       // $currentoptions = $this->repoTreatment->getTreatmentCurrentOptios($request);

      //  $poppulars = $this->repoTreatment->getTreatmentpopular($request);

        if (!$hospitalDetails) {
            abort(404, 'Hospital not found');
        }
        if (!$hospitals) {
            abort(404, 'Hospital not found');
        }

        if (!$currentoptions) {
            abort(404, 'Current Options  not found');
        }

        if (!$poppulars) {
            abort(404, 'Populars  not found');
        }

        return view('website.hospital.hospital')
        ->with('hospitalDetails', $hospitalDetails)
        ->with('hospitals', $hospitals)
        ->with('current_options', $currentoptions)
        ->with('populars_treatrments', $poppulars);
    }

}
