<?php

namespace App\Http\Controllers\website;

use App;
use App\Http\Controllers\Controller;
use App\Repositories\Interfaces\UserInterface;
use App\WebRepositories\Interfaces\EnqueryInterface;
use App\WebRepositories\Interfaces\NewslatterInterface;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use App\WebRepositories\Interfaces\Treatmentinterface;
use Illuminate\Http\Request;

class TreatmentController extends Controller
{

    private $repoUser;
    private $repoEnquery;
    private $repoNewslatter;
    private $repoSiteSetting;
    private $repoTreatment;

    public function __construct(UserInterface $repoUser
        , EnqueryInterface $repoEnquery
        , NewslatterInterface $repoNewslatter
        , SiteSettingInterface $repoSiteSetting
        , Treatmentinterface $repoTreatment) {

        $this->repoUser = $repoUser;
        $this->repoEnquery = $repoEnquery;
        $this->repoNewslatter = $repoNewslatter;
        $this->repoSiteSetting = $repoSiteSetting;
        $this->repoTreatment = $repoTreatment;

    }

    public function list(request $request)
    {
        $siteInfo = $this->repoSiteSetting->getHeaderFooterData();
        $treatments = $this->repoTreatment->getTreatmentListByLimit(-1);

        return view('website.treatment.treatments')->with('siteInfo', $siteInfo)->with('treatments', $treatments);
    }

    public function view(request $request)
    {


        return view('website.treatment.treatment');
    }
}
