<?php

namespace App\Http\Controllers\website;

use App;
use App\Http\Controllers\Controller;
use App\Repositories\Interfaces\UserInterface;
use App\WebRepositories\Interfaces\EnqueryInterface;
use App\WebRepositories\Interfaces\NewslatterInterface;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use App\WebRepositories\Interfaces\Treatmentinterface;
use Illuminate\Http\Request;

class TreatmentController extends Controller
{

    private $repoUser;
    private $repoEnquery;
    private $repoNewslatter;
    private $repoSiteSetting;
    private $repoTreatment;

    public function __construct(UserInterface $repoUser
        , EnqueryInterface $repoEnquery
        , NewslatterInterface $repoNewslatter
        , SiteSettingInterface $repoSiteSetting
        , Treatmentinterface $repoTreatment) {

        $this->repoUser = $repoUser;
        $this->repoEnquery = $repoEnquery;
        $this->repoNewslatter = $repoNewslatter;
        $this->repoSiteSetting = $repoSiteSetting;
        $this->repoTreatment = $repoTreatment;

    }

    public function list(request $request)
    {
        $siteInfo = $this->repoSiteSetting->getHeaderFooterData();
        $treatments = $this->repoTreatment->getTreatmentListByLimit(-1);

        return view('website.treatment.treatments')->with('siteInfo', $siteInfo)->with('treatments', $treatments);
    }

    public function view(Request $request, $treatmentId)
    {

        $treatmentDetails = $this->repoTreatment->getTreatmentById($treatmentId);

        $parenttreatments = $this->repoTreatment->getTreatmentListByParentId($request, $treatmentId);

        $currentoptions = $this->repoTreatment->getTreatmentCurrentOptios($request);

        $poppulars = $this->repoTreatment->getTreatmentpopular($request);

        if (!$treatmentDetails) {
            abort(404, 'Treatment not found');
        }
        if (!$parenttreatments) {
            abort(404, 'Parent treatment not found');
        }

        if (!$currentoptions) {
            abort(404, 'Current Options  not found');
        }

        if (!$poppulars) {
            abort(404, 'Populars  not found');
        }

        return view('website.treatment.treatment')
        ->with('parent_treatments', $parenttreatments)
        ->with('treatmentDetails', $treatmentDetails)
        ->with('current_options', $currentoptions)
        ->with('populars_treatrments', $poppulars);
    }


}
