<?php

namespace App\Providers;

use App\WebRepositories\SiteSettingRepository;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use Log;
class HeaderServiceProvider extends ServiceProvider
{

    public function register()
    {
        $this->app->bind(SiteSettingRepository::class, function ($app) {
            return new SiteSettingRepository();
        });
    }

    public function boot(SiteSettingRepository $repoSite)
    {
        View::composer(['website.includes.header','website.includes.footer'], function ($view) use ($repoSite) {

            
            $view->with('siteInfo', $repoSite->getHeaderFooterData());
        });
    }
}
