<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Repositories\UserRepository;
use App\Repositories\Interfaces\UserInterface;
use App\Repositories\Interfaces\Doctorinterface;
use App\Repositories\Interfaces\Cityinterface;
use App\Repositories\Interfaces\Hospitalinterface;
use App\Repositories\Interfaces\Enqueryinterface;
use App\Repositories\Interfaces\Countinterface;
use App\Repositories\Interfaces\NewslatterInterface;
use App\Repositories\Interfaces\Testimonialsinterface;
use App\Repositories\Interfaces\Countryinterface;
use App\Repositories\Interfaces\Courseinterface;
use App\Repositories\Interfaces\Teaminterface;
use App\Repositories\DoctorRepository;
use App\Repositories\TestimonialsRepository;
use App\Repositories\HospitalRepository;
use App\Repositories\EnqueryRepository;
use App\Repositories\CountRepository;
use App\Repositories\ContryRepository;
use App\Repositories\CourseRepository;

use App\Repositories\TreatmentRepository;
use App\Repositories\CityRepository;
use App\Repositories\Interfaces\Treatmentinterface;
use App\Repositories\Interfaces\Cmsinterface;
use App\Repositories\CmsRepository;
use App\Repositories\NewslatterRepository;
use App\Repositories\TeamRepository;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(Courseinterface::class, CourseRepository::class);
        $this->app->bind(Teaminterface::class, TeamRepository::class);
        $this->app->bind(UserInterface::class, UserRepository::class);
        $this->app->bind(Treatmentinterface::class, TreatmentRepository::class);
        $this->app->bind(Doctorinterface::class, DoctorRepository::class);
        $this->app->bind(Cmsinterface::class, CmsRepository::class);
        $this->app->bind(Cityinterface::class, CityRepository::class);
        $this->app->bind(Hospitalinterface::class, HospitalRepository::class);
        $this->app->bind(Enqueryinterface::class, EnqueryRepository::class);
        $this->app->bind(Countinterface::class, CountRepository::class);
        $this->app->bind(NewslatterInterface::class, NewslatterRepository::class);
        $this->app->bind(Testimonialsinterface::class, TestimonialsRepository::class);
        $this->app->bind(Countryinterface::class, ContryRepository::class);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
