<?php

namespace App\Providers;

use App\WebRepositories\CityRepository;
use App\WebRepositories\CmsRepository;
use App\WebRepositories\DoctorRepository;
use App\WebRepositories\EnqueryRepository;
use App\WebRepositories\HospitalRepository;
use App\WebRepositories\TestimonialsRepository;


use App\WebRepositories\Interfaces\CityInterface;
use App\WebRepositories\Interfaces\CmsInterface;
use App\WebRepositories\Interfaces\DoctorInterface;
use App\WebRepositories\Interfaces\EnqueryInterface;
use App\WebRepositories\Interfaces\HospitalInterface;
use App\WebRepositories\Interfaces\NewslatterInterface;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use App\WebRepositories\Interfaces\Treatmentinterface;
use App\WebRepositories\Interfaces\Testimonialsinterface;

use App\WebRepositories\NewslatterRepository;
use App\WebRepositories\SiteSettingRepository;
use App\WebRepositories\TreatmentRepository;
use Illuminate\Support\ServiceProvider;

class WebRepositoryServiceProvider extends ServiceProvider
{

    public function register()
    {
        $this->app->bind(SiteSettingInterface::class, SiteSettingRepository::class);

        $this->app->bind(EnqueryInterface::class, EnqueryRepository::class);

        $this->app->bind(NewslatterInterface::class, NewslatterRepository::class);

        $this->app->bind(Treatmentinterface::class, TreatmentRepository::class);

        $this->app->bind(CmsInterface::class, CmsRepository::class);

        $this->app->bind(HospitalInterface::class, HospitalRepository::class);

        $this->app->bind(DoctorInterface::class, DoctorRepository::class);

        $this->app->bind(Cityinterface::class, CityRepository::class);

        $this->app->bind(Testimonialsinterface::class, TestimonialsRepository::class);

    }

    public function boot()
    {

    }
}
