<?php

namespace App\Repositories;

use App\Models\City;
use App\Models\SpecializationMapping;
use App\Repositories\Interfaces\Doctorinterface;
use App\Repositories\Interfaces\Cityinterface;
use App\Traits\FileUploadTrait;
use Illuminate\Http\Request;
use Log;

class CityRepository implements Cityinterface
{

    use FileUploadTrait;
    public function list() 
    {

        $list = City::select('id', "name_en",  'is_delete')
            ->where('is_delete', 0)
            ->get();

        return $list;

    }

    public function find($id)
    {
        $city = City::find($id);

        return $city;
    }

    public function store(Request $request)
    {
        $city = new City;

        $city->name_en = $request->name_en;
        $city->name_bn = $request->input('name_bn');
        $city->name_ar = $request->input('name_ar');
        $city->name_hi = $request->input('name_hi');


        $city->heading_en = $request->input('heading_en');
        $city->heading_ar = $request->input('heading_ar');
        $city->heading_bn = $request->input('heading_bn');
        $city->heading_hi = $request->input('heading_hi');

        $city->content_en = $request->input('content_en');
        $city->content_ar = $request->input('content_ar');
        $city->content_bn = $request->input('content_bn');
        $city->content_hi = $request->input('content_hi');





        $city->save();



        return $city;
    }




    public function update($id, Request $request)
    {
        $city = City::find($request->id);


        if (!$city) {
            return response()->json(['error' => 'City not found'], 404);
        }
        // Update the doctor attributes with values from the request
        $city->name_en = $request->name_en;
        $city->name_bn = $request->input('name_bn');
        $city->name_ar = $request->input('name_ar');
        $city->name_hi = $request->input('name_hi');


        $city->heading_en = $request->input('heading_en');
        $city->heading_ar = $request->input('heading_ar');
        $city->heading_bn = $request->input('heading_bn');
        $city->heading_hi = $request->input('heading_hi');

        $city->content_en = $request->input('content_en');
        $city->content_ar = $request->input('content_ar');
        $city->content_bn = $request->input('content_bn');
        $city->content_hi = $request->input('content_hi');

        // Save the updated doctor record

        $city->save();



        return $city;
    }





    public function delete($id)
    {
        $city = City::find($id);

        if (!$city) {
            return null; // or handle the case where doctor is not found
        }
        $city->update(['is_delete' => 1]);

        return $city;
    }

}
