<?php

namespace App\Repositories;

use App\Models\User;
use App\Repositories\Interfaces\Cmsinterface;
use App\Models\SiteSettings;
use App\Models\Treatment;
use App\Models\Doctor;
use App\Models\Cms;
use App\Traits\FileUploadTrait;
use Log;

class CmsRepository implements Cmsinterface
{
    use FileUploadTrait;

    public function list()
    {
        return Cms::where('is_delete', 0)
        ->select('id', 'title_en')
        ->get();
    }


    public function find($id)
    {
        $cms = Cms::find($id);
        $baseImgPath = $this->getBasePath();
        if ($cms->img != null) {
            $cms['profile_pic_url'] = $baseImgPath . $cms->img;
        } else {
            $cms['profile_pic_url'] = null;
        }
        Log::info($cms);
        return $cms;
    }

    public function update($id, array $data, $imgName)
    {
        $cms = Cms::find($id);

        if (!$cms) {
            return null; // or handle the case where treatment is not found
        }

        // Update fields based on the data array
        $cms->title_en = $data['title_en'] ?? $cms->title_en;
        $cms->title_ar = $data['title_ar'] ?? $cms->title_ar;
        $cms->title_bn = $data['title_bn'] ?? $cms->title_bn;
        $cms->title_hi = $data['title_hi'] ?? $cms->title_hi;

        $cms->content_en = $data['content_en'] ?? $cms->content_en;
        $cms->content_bn = $data['content_bn'] ?? $cms->content_bn;
        $cms->content_hi = $data['content_hi'] ?? $cms->content_hi;
        $cms->content_ar = $data['content_ar'] ?? $cms->content_ar;

        // Update only if a new image is provided
        $cms->img = $imgName ?? $cms->img;

        $cms->save();

        return $cms;
    }








}
