<?php

namespace App\Repositories;

use App\Models\Course;
use App\Models\SpecializationMapping;
use App\Repositories\Interfaces\Doctorinterface;
use App\Repositories\Interfaces\Courseinterface;
use App\Traits\FileUploadTrait;
use Illuminate\Http\Request;
use App\Models\CourseCategory;
use Log;

class CourseRepository implements Courseinterface
{

    use FileUploadTrait;
    public function listCourseCat()
    {

        $list = CourseCategory::select('id', "name_en",   'is_delete')
            ->where('is_delete', 0)

            ->get();



        return $list;

    }
    public function list()
    {

        $list = Course::select('id', "name_en", 'img', 'city_id', 'course_cat_id', 'is_delete')
            ->where('is_delete', 0)
            ->with('city')
            ->with('course_cat')
            ->get();

            $baseImgPath = $this->getBasePath();
            $list->map(function ($item) use ($baseImgPath) {
                if ($item->img != null) {
                    $item['img'] = $baseImgPath . $item->img;

                } else {
                    $item['img'] = null;

                }
            });

        return $list;

    }

    public function find($id)
    {
        $course = Course::find($id);
        $baseImgPath = $this->getBasePath();
        if ($course->img != null) {
            $course['img'] = $baseImgPath . $course->img;
        } else {
            $course['img'] = null;
        }
        Log::info($course);
        return $course;

    }


    public function store(Request $request , $imgName,)
    {
        $course = new Course;

        $course->name_en = $request->name_en;
        $course->description = $request->input('description');
        $course->city_id = $request->input('city_id');
        $course->course_cat_id = $request->input('course_cat_id');
        $course->img = $imgName;



        $course->save();



        return $course;
    }

    public function storeCat(Request $request)
    {
        $course = new CourseCategory;

        $course->name_en = $request->name_en;




        $course->save();



        return $course;
    }

    public function updateCat($id, array $data)
    {
        $courseCat = CourseCategory::find($id);
        if (!$courseCat) {
            return false; // Return false if category is not found
        }

        $courseCat->update($data);
        return $courseCat;
    }


    public function update($id, array $data)
    {
        $course = Course::find($id);

        if (!$course) {
            return response()->json(['error' => 'Course not found'], 404);
        }

        // Only update fields that are provided
        $course->update($data);

        return $course;
    }





    public function delete($id)
    {
        $city = Course::find($id);

        if (!$city) {
            return null; // or handle the case where doctor is not found
        }
        $city->update(['is_delete' => 1]);

        return $city;
    }
    public function deleteCat($id)
    {
        $city = CourseCategory::find($id);

        if (!$city) {
            return null; // or handle the case where doctor is not found
        }
        $city->update(['is_delete' => 1]);

        return $city;
    }

}
