<?php

namespace App\Repositories;

use App\Models\Doctor;
use App\Models\SpecializationMapping;
use App\Models\Hospital;
use App\Models\Team;
use App\Models\TreatmentMapping;
use App\Repositories\Interfaces\Teaminterface;
use App\Traits\FileUploadTrait;
use Illuminate\Http\Request;
use App\Models\CityMapping;
use Log;

class TeamRepository implements Teaminterface
{

    use FileUploadTrait;

    public function list()
    {
        $list = Team::
             select('id', "name",  'img', 'designation','is_delete')
            ->where('is_delete', 0)
            ->orderBy('id', 'DESC')
            ->get();
        Log::info($list);

        $baseImgPath = $this->getBasePath();
        $list->map(function ($item) use ($baseImgPath) {
            if ($item->img != null) {
                $item['img'] = $baseImgPath . $item->img;

            } else {
                $item['img'] = null;

            }


        });

        return $list;

    }

    public function find($id)
    {
        $hospital = Team::find($id);

        $baseImgPath = $this->getBasePath();
        if ($hospital->img != null) {
            $hospital['img'] = $baseImgPath . $hospital->img;
        } else {
            $hospital['img'] = null;
        }


        Log::info($hospital);
        return $hospital;
    }

    public function store(Request $request, $imgName)
    {
        $testimonials = new Team;

        $testimonials->name= $request->name;





        $testimonials->designation = $request->input('designation');





        $testimonials->img = $imgName;


        $testimonials->save();




        return $testimonials;
    }


    public function update_img($id, Request $request, $imgName){
        $hospital = Team::find($request->id);
        if (!$hospital) {
            return response()->json(['error' => 'Team not found'], 404);
        }
        $hospital->img = $imgName;
        $hospital->save();
    }




    public function update($id, Request $request)
    {
        // Find the existing doctor record by ID
        $testimonials = Team::find($request->id);

        // Check if the doctor record exists
        if (!$testimonials) {
            return response()->json(['error' => 'Doctor not found'], 404);
        }
        // Update the doctor attributes with values from the request
        $testimonials->name = $request->name;



        $testimonials->designation = $request->input('designation');


        // Save the updated doctor record

        $testimonials->save();
        // Update specialization mapping if specialization IDs are provided






        return $testimonials;
    }





    public function delete($id)
    {
        $hospital = Team::find($id);

        if (!$hospital) {
            return null; // or handle the case where doctor is not found
        }

        // Perform soft delete by updating the is_delete field
        $hospital->update(['is_delete' => 1]);

        return $hospital;
    }

}
