<?php

namespace App\WebRepositories;

use App;
use App\Models\Cms;
use App\Traits\FileUploadTrait;
use App\WebRepositories\Interfaces\CmsInterface;

class CmsRepository implements CmsInterface
{
    use FileUploadTrait;
    public function getAboutUs()
    {
        $locale = App::getLocale();
        $model = Cms::select('id', "title_$locale as title", "content_$locale as content")
            ->where('id', 5)
            ->first();

        return $model;
    }
    public function getCms($id)
    {
        $locale = App::getLocale();
        $model = Cms::select('id', 'img', "title_$locale as title", "content_$locale as content")
            ->where('id', $id)
            ->first();

        if ($model->img != null) {
            $baseImgPath = $this->getBasePath();

            $model['imgUrl'] = $baseImgPath . $model->img;
        } else {

            $model['imgUrl'] = null;
        }

        return $model;
    }
}
