<?php

namespace App\WebRepositories;

use App;
use App\Models\City;
use App\Models\SiteSettings;
use App\Models\Treatment;
use App\WebRepositories\Interfaces\SiteSettingInterface;
use DB;
use Log;

class SiteSettingRepository implements SiteSettingInterface
{
    public function getHeaderFooterData()
    {
        $model = SiteSettings::select('id', 'email_1 as email', 'phone_1 as phone_number'
            , 'address_1 as address', 'facebook', 'instagram'
            , 'twitter', 'youtube', 'whatsapp', 'phone_2 as phone_number2')->first();

        $locale = App::getLocale();
        $cityList = City::select('id', DB::raw("CONCAT('RBP', LPAD(id+741257, 10, '0')) AS ref"), 'status_id', 'is_delete', "name_$locale as name")
            ->where('status_id', 1)
            ->where('is_delete', 0)
            ->orderBy('name', "ASC")
            ->get();

        $cityList->map(function ($item) {
            unset($item->status_id, $item->is_delete);
        });

        $model['cityList'] = $cityList;

        $treatmentHeaders = Treatment::select('id', "treatment_name_$locale as name"
            , 'status_id', 'is_delete', 'parent_id'
            , DB::raw("CONCAT('RBP', LPAD(id+741257, 10, '0')) AS ref"))
            ->where('is_delete', 0)
            ->where('status_id', 1)
            ->where('parent_id', 0)
            ->orderBy('id', "DESC")
            ->get();
        $treatmentHeaders->map(function ($item) {
            unset($item->status_id, $item->is_delete, $item->parent_id);
        });
        $model['treatmentHeaders'] = $treatmentHeaders;

        Log::info($model);
        return $model;
    }
}
