<?php

namespace App\WebRepositories;

use App;
use App\Models\Testimonials;
use App\Traits\FileUploadTrait;
use App\WebRepositories\Interfaces\Testimonialsinterface;

class TestimonialsRepository implements Testimonialsinterface
{

    use FileUploadTrait;

    public function getTestimonialsListByLimit($limit)
    {

        $locale = App::getLocale();

        $temp = Testimonials::select('id', "name_$locale as name"
            , "comment_$locale as comment", "designation_$locale as designation"
            , 'img', 'is_delete', 'status')
            ->where('is_delete', 0)
            ->where('status', 1)
            ->orderBy('id', "DESC");
        if ($limit != -1) {
            $temp = $temp->limit($limit);
        }
        $list = $temp->get();

        $baseImgPath = $this->getBasePath();

        $list->map(function ($item) use ($baseImgPath) {

            if ($item->img != null) {

                $item['imgUrl'] = $baseImgPath . $item->img;

            } else {

                $item['imgUrl'] = null;

            }

            unset($item->status, $item->is_delete);
        });

        return $list;

    }

}
