<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    {{$cms->title_en ??''}}
                    <small>Cms </small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Cms Edit</a></li>
                    <li class="active">Cms</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title"> {{$cms->title_en ??''}} </h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                              <form action="{{route('cms.update', $cms->id)}}" enctype="multipart/form-data" method="POST">
                                  @csrf
                                  <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="">Image*</label>
                                        <input type="file" name="img" class="form-control" required>
                                        <p><img src="{{ $cms->profile_pic_url }}" alt="" style="width:80px; height:80px; object-position:center; object-fit:cover;"></p>
                                    </div>

                                    <div class="form-group col-md-3">
                                        <label for="">Title  (EN)*</label>
                                        <input type="text" name="title_en" class="form-control" required value="<?php echo $cms->title_en ??''  ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="">Title  (BN)</label>
                                        <input type="text" name="title_bn" class="form-control"  value="<?php echo $cms->title_bn ??''  ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="">Title  (AR)</label>
                                        <input type="text" name="title_ar" class="form-control"  value="<?php echo $cms->title_ar ??''  ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="">Title  (HI)</label>
                                        <input type="text" name="title_hi" class="form-control"  value="<?php echo $cms->title_hi ??''  ?>">
                                    </div>












                                    <div class="form-group col-md-12">
                                        <label for="">Content (EN)</label>
                                        <textarea name="content_en" class="form-control "  id="editor1" rows="3" style="resize: none"><?php echo $cms->content_en ??''  ?></textarea>
                                    </div>

                                    <div class="form-group col-md-12">
                                        <label for="">Content (BN)</label>
                                        <textarea name="content_bn" class="form-control  " id="editor2"  id="" rows="3" style="resize: none"><?php echo $cms->content_bn ??''  ?></textarea>
                                    </div>

                                    <div class="form-group col-md-12">
                                        <label for="">Content (HI)</label>
                                        <textarea name="content_hi" class="form-control "  id="editor3" rows="3" style="resize: none"><?php echo $cms->content_hi ??''  ?></textarea>
                                    </div>

                                    <div class="form-group col-md-12">
                                        <label for="">Content (AR)</label>
                                        <textarea name="content_ar" class="form-control "  id="editor4" rows="3" style="resize: none"><?php echo $cms->content_ar ??''  ?></textarea>
                                    </div>


                                   <div class="form-group col-md-6">
                                     <button type="submit" class="btn btn-info" value="Submit">Submit</button>
                                   </div>

                              </form>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
