<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    City
                    <small>Manage City</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">City</a></li>
                    <li class="active">City</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">City Management</h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Sl No</th>
                                            <th>Name</th>

                                            <th> Image</th>
                                            <th style="width: 200px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($records as $record)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $record->name_en }}</td>

                                                <td>
                                                    @if($record->img)

                                                        <img src="{{$record->img }}" style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010" alt="">

                                                    @else
                                                        No Image
                                                    @endif
                                                </td>

                                                <td>
                                                    <button type="button" data-toggle="modal" data-target="#update_city{{$record->id}}" class="btn btn-primary btn-sm">Edit</button>
                                                    <a href="{{route('countries.city.delete', $record->id)}}" class="btn btn-danger btn-sm">Delete</a>

                                                </td>
                                            </tr>

                                            <div class="modal fade" id="update_city{{$record->id}}">
                                                <div class="modal-dialog">
                                                  <div class="modal-content">
                                                    <div class="modal-header">
                                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                      <h4 class="modal-title">Update City</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                      <form method="POST" enctype="multipart/form-data" action="{{route('countries.city.update',$record->id)}}">
                                                        @csrf
                                                        <input type="hidden" value="{{$record->country_id}}" name="country_id">
                                                        <div class="form-group">
                                                            <label>City Name</label>
                                                          <input type="text" class="form-control" placeholder="Enter City Name" required="" value="{{$record->name_en}}" name="name_en">
                                                        </div>
                                                        <div class="form-group">
                                                            <label>City Image</label>
                                                            <input type="file" class="form-control" placeholder="Enter City image" required="" value="{{$record->img}}" name="img">
                                                            <p><img style="width:50px" src="{{$record->img}}"></p>
                                                          </div>

                                                        <div class="form-group">
                                                          <input type="submit" class="btn btn-info" value="submit" name="">
                                                        </div>
                                                      </form>
                                                    </div>
                                                  </div>
                                                  <!-- /.modal-content -->
                                                </div>
                                                <!-- /.modal-dialog -->
                                              </div>
                                              <!-- /.modal -->
                                        @endforeach
                                    </tbody>
                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
