<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Country
                    <small>Manage Country</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Country Edit</a></li>
                    <li class="active">Country</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Country </h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                              <form action="{{route('countries.update', $treatmentInfo->id)}}" enctype="multipart/form-data" method="POST">
                                  @csrf
                                  <input type="hidden" name="parent_id" value="{{$treatmentInfo->parent_id}}">
                                  <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="">Flag Image*</label>
                                        <input type="file" name="flag_img" class="form-control" required>
                                        <p><img src="{{$treatmentInfo->flag_img ??''}}" alt="" style="width:80px; height:80px; object-position:center; object-fit:cover;"></p>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="">Country Image*</label>
                                        <input type="file" name="country_img" class="form-control" required>
                                        <p><img src="{{$treatmentInfo->country_img ??''}}" alt="" style="width:80px; height:80px; object-position:center; object-fit:cover;"></p>
                                    </div>
                                    <div class="form-group col-md-12">
                                        <label for="">Country Name (EN)*</label>
                                        <input type="text" name="name_en" class="form-control" required value="<?php echo $treatmentInfo->name_en ??''  ?>">
                                    </div>



                                    <div class="form-group col-md-12">
                                        <label for="">Country Description (EN) (Max 200 Charector)</label>
                                        <textarea name="description" maxlength="200" id="" class="form-control" rows="3" style="resize: none"><?php echo $treatmentInfo->description ??''  ?></textarea>
                                    </div>













                                   <div class="form-group col-md-6">
                                     <button type="submit" class="btn btn-info" value="Submit">Submit</button>
                                   </div>

                              </form>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
