<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Country
                    <small>Manage Country</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Country</a></li>
                    <li class="active">Country</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Country Management</h3>
                        <div class="box-tools pull-right">
                            <a href="{{route('countries.add')}}" class="btn btn-block btn-primary btn-flat"
                                >
                                <i class="fa fa-plus"></i> Create Country</a>

                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Sl No</th>
                                            <th>Name</th>
                                            <th>Description</th>
                                            <th>Flag img</th>
                                            <th>Country Image</th>
                                            <th>City List</th>
                                            <th style="width: 200px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($records as $record)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $record->name_en }}</td>
                                                <td style="width:300px">{{ $record->description }}</td>
                                                <td>
                                                    @if($record->flag_img)

                                                        <img src="{{$record->flag_img }}" style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010" alt="">

                                                    @else
                                                        No Image
                                                    @endif
                                                </td>
                                                <td>
                                                    @if($record->country_img)

                                                        <img src="{{$record->country_img }}" style="width: 100px;  border:2px solid #101010" alt="">

                                                    @else
                                                        No Image
                                                    @endif
                                                </td>
                                                <td>
                                                     <a href="{{route('countries.city.list',$record->id)}}" class="btn btn-info btn-sm">{{$record->cities_count}}</a>
                                                </td>
                                                <td>
                                                    <a href="{{ route('countries.edit', $record->id) }}" class="btn btn-primary btn-sm">Edit</a>
                                                    <a href="{{route('countries.delete', $record->id)}}" class="btn btn-danger btn-sm">Delete</a>
                                                    <button type="button" class="btn btn-warning btn-sm" data-toggle="modal" data-target="#modal-default_{{$record->id}}">Add City</button>
                                                </td>
                                            </tr>

                                            <div class="modal fade" id="modal-default_{{$record->id}}">
                                                <div class="modal-dialog">
                                                  <div class="modal-content">
                                                    <div class="modal-header">
                                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                      <h4 class="modal-title">Add City</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                      <form method="POST" enctype="multipart/form-data" action="{{route('countries.store.city')}}">
                                                        @csrf
                                                        <input type="hidden" value="{{$record->id}}" name="country_id">
                                                        <div class="form-group">
                                                            <label>City Name</label>
                                                          <input type="text" class="form-control" placeholder="Enter City Name" required="" name="name_en">
                                                        </div>
                                                        <div class="form-group">
                                                            <label>City Image</label>
                                                            <input type="file" class="form-control" placeholder="Enter City image" required="" name="img">
                                                          </div>
                                                          
                                                        <div class="form-group">
                                                          <input type="submit" class="btn btn-info" value="submit" name="">
                                                        </div>
                                                      </form>
                                                    </div>
                                                  </div>
                                                  <!-- /.modal-content -->
                                                </div>
                                                <!-- /.modal-dialog -->
                                              </div>
                                              <!-- /.modal -->
                                        @endforeach
                                    </tbody>
                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
