<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Course Category
                    <small>Manage  Course Category</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#"> Course Category</a></li>
                    <li class="active"> Course Category</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">  Course Category Management</h3>
                        <div class="box-tools pull-right">
                            <a data-toggle="modal" data-target="#courseCatAdd" class="btn btn-block btn-primary btn-flat"
                                data-toggle="tooltip" title="Create System User">
                                <i class="fa fa-plus"></i> Create Course Category </a>

                        </div>
                        <div class="modal fade" id="courseCatAdd">
                            <div class="modal-dialog">
                              <div class="modal-content">
                                <div class="modal-header">
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span></button>
                                  <h4 class="modal-title">Add Course Category</h4>
                                </div>
                                <div class="modal-body">
                                  <form method="POST" enctype="multipart/form-data" action="{{route('course.cat.store')}}">
                                    @csrf
                                    <div class="form-group">
                                      <input type="text" class="form-control"  placeholder="Enter Category" required="" name="name_en">
                                    </div>
                                    <div class="form-group">
                                      <input type="submit" class="btn btn-info" value="submit" name="">
                                    </div>
                                  </form>
                                </div>
                              </div>
                              <!-- /.modal-content -->
                            </div>
                            <!-- /.modal-dialog -->
                          </div>
                          <!-- /.modal -->

                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Sl No</th>
                                            <th>Corse Category Name</th>
                                            <th style="width: 200px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($records as $record)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $record->name_en }}</td>


                                                <td>
                                                    <!-- Add your action buttons or links here -->
                                                    {{-- Example: --}}
                                                    <a data-toggle="modal" data-target="#edit_{{$record->id}}"
                                                        class="btn btn-primary btn-sm">Edit</a>
                                                    <a href="#" class="btn btn-danger btn-sm"
                                                        onclick="confirmDelete('{{ route('course.cat.delete', $record->id) }}')">Delete</a>

                                                    <script>
                                                        function confirmDelete(url) {
                                                            if (confirm('Are you sure you want to delete this?')) {
                                                                window.location.href = url;
                                                            }
                                                        }
                                                    </script>
                                                </td>
                                            </tr>

                                            <div class="modal fade" id="edit_{{$record->id}}">
                                                <div class="modal-dialog">
                                                  <div class="modal-content">
                                                    <div class="modal-header">
                                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                      <h4 class="modal-title">Update Course Category</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                      <form method="POST" enctype="multipart/form-data" action="{{route('course.cat.update')}}">
                                                        @csrf
                                                        <div class="form-group">
                                                            <input type="hidden" value="{{$record->id}}" name="id">
                                                          <input type="text" class="form-control" value="{{$record->name_en}}"  placeholder="Enter Category" required="" name="name_en">
                                                        </div>
                                                        <div class="form-group">
                                                          <input type="submit" class="btn btn-info" value="submit" name="">
                                                        </div>
                                                      </form>
                                                    </div>
                                                  </div>
                                                  <!-- /.modal-content -->
                                                </div>
                                                <!-- /.modal-dialog -->
                                              </div>
                                              <!-- /.modal -->
                                        @endforeach

                                    </tbody>
                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
