<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Doctor
                    <small>Manage Doctor</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Doctor Update</a></li>
                    <li class="active">Doctor</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')

                <div class="row">
                    <div class="col-md-4">
                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <h3 class="box-title text-center">Doctor Personal Details</h3>
                            </div>
                            <div class="box-body text-center">
                                <form action="{{ route('doctors.update_img', $doctorInfo->id) }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="dc_img mb-2">
                                        <img src="{{ $doctorInfo->profile_pic_url }}">
                                    </div>
                                    <div class="form-group text-center">
                                    <input type="file" class="form-control" style="border:none;" name="img" id="img" required>
                                    </div>

                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th>Doctor Name</th>
                                                <th>:</th>
                                                <td>{{ $doctorInfo->name_en ?? '' }}</td>
                                            </tr>
                                            <tr>
                                                <th>Doctor Experience</th>
                                                <th>:</th>
                                                <td>{{ $doctorInfo->experience_en ?? '' }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <div class="form-group col-md-12">
                                        <input type="submit" value="Submit" class="btn form-control btn-primary w-100"
                                            name="submit">
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8">
                        <div class="box">
                            <div class="box-header">
                                <h4>Personal Details</h4>
                            </div>
                            <div class="box-body">
                                <form action="{{ route('doctors.update', $doctorInfo->id) }}"
                                    enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <div class="form-row">


                                        <div class="form-group col-md-3">
                                            <label for="">Doctor Name (EN)*</label>
                                            <input type="text" name="name_en" class="form-control" required
                                                value="{{ $doctorInfo->name_en ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Doctor Name (BN)*</label>
                                            <input type="text" name="name_bn" class="form-control"
                                                value="{{ $doctorInfo->name_bn ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Doctor Name (HI)*</label>
                                            <input type="text" name="name_hi" class="form-control"
                                                value="{{ $doctorInfo->name_hi ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Doctor Name (AR)*</label>
                                            <input type="text" name="name_ar" class="form-control"
                                                value="{{ $doctorInfo->name_ar ?? '' }}">
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="">Treatments*</label>
                                            <select name="specialization_id[]" class="form-control select2" multiple
                                                required>
                                                <option value="">Select</option>
                                                @foreach ($treatments as $treatment)
                                                    <option value="{{ $treatment->id }}"
                                                        @if (in_array($treatment->id, $selectedSpecializations)) selected @endif>
                                                        {{ $treatment->treatment_name_en ?? '' }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="hospital_id">Hospital</label>
                                            <select name="hospital_id" class="form-control" id="hospital_id">
                                                <option value="">Select</option>
                                                @foreach ($hospitals as $hospital)
                                                    <option value="{{ $hospital->id }}"
                                                        @if ($doctorInfo->hospital_id == $hospital->id) selected @endif>
                                                        {{ $hospital->name_en }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>

                                        <div class="form-group col-md-3">
                                            <label for="">Experience (EN)</label>
                                            <input type="text" name="experience_en" class="form-control"
                                                value="{{ $doctorInfo->experience_en ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Experience (AR)</label>
                                            <input type="text" name="experience_ar" class="form-control"
                                                value="{{ $doctorInfo->experience_ar ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Experience (BN)</label>
                                            <input type="text" name="experience_bn" class="form-control"
                                                value="{{ $doctorInfo->experience_bn ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Experience (HI)</label>
                                            <input type="text" name="experience_hi" class="form-control"
                                                value="{{ $doctorInfo->experience_hi ?? '' }}">
                                        </div>



                                        <div class="form-group col-md-12">
                                            <h4>Social Media Link</h4>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">FaceBook Link <i
                                                    class="fa fa-facebook text-info"></i></label>
                                            <input type="text" name="fb_link"
                                                value="{{ $doctorInfo->fb_link ?? '' }}" class="form-control"
                                                id="">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Insta Link <i class="fa fa-instagram"></i></label>
                                            <input type="text" name="insta_link" class="form-control"
                                                id="" value="{{ $doctorInfo->insta_link ?? '' }}">
                                        </div>

                                        <div class="form-group col-md-3">
                                            <label for="">Twitter Link <i class="fa fa-twitter"></i></label>
                                            <input type="text" name="twitter_link"
                                                value="{{ $doctorInfo->twitter_link ?? '' }}" class="form-control"
                                                id="">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">LinkdIn <i class="fa fa-linkedin"></i></label>
                                            <input type="text" value="{{ $doctorInfo->linkdid ?? '' }}"
                                                name="linkdid" class="form-control" id="">
                                        </div>

                                        <div class="form-group col-md-12">
                                            <h4>Doctor Details</h4>
                                        </div>


                                        <div class="form-group col-md-12">
                                            <div class="panel box box-primary">
                                                <a data-toggle="collapse" data-parent="#accordion"
                                                    href="#collapseOne">
                                                    <div class="box-header with-border d-flex">
                                                        <h4 class="box-title">
                                                            Specialization
                                                        </h4>
                                                    </div>
                                                </a>
                                                <div id="collapseOne" class="panel-collapse collapse">
                                                    <div class="box-body">
                                                        <div class="form-group col-md-12">
                                                            <label for="">Specialized Treatment (En)</label>
                                                            <textarea name="specialist_en" class="textarea" id="editor1"><?php echo $doctorInfo->specialist_en ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Specialized Treatment (BN)</label>
                                                            <textarea name="specialist_bn" class="textarea" id="editor2"><?php echo $doctorInfo->specialist_bn ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Specialized Treatment (AR)</label>
                                                            <textarea name="specialist_ar" class="textarea" id="editor3"><?php echo $doctorInfo->specialist_ar ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Specialized Treatment (HI)</label>
                                                            <textarea name="specialist_hi" class="textarea" id="editor4"><?php echo $doctorInfo->specialist_hi ?? ''; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <div class="panel box box-primary">
                                                <a data-toggle="collapse" data-parent="#accordion"
                                                    href="#collapseTwo">
                                                    <div class="box-header with-border d-flex">
                                                        <h4 class="box-title">
                                                            About Doctor
                                                        </h4>
                                                    </div>
                                                </a>
                                                <div id="collapseTwo" class="panel-collapse collapse">
                                                    <div class="box-body">
                                                        <div class="form-group col-md-12">
                                                            <label for="">About Doctor (En)</label>
                                                            <textarea name="about_doctor_en" class="textarea" id="editor8"><?php echo $doctorInfo->about_doctor_en ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">About Doctor (BN)</label>
                                                            <textarea name="about_doctor_bn" class="textarea" id="editor5"><?php echo $doctorInfo->about_doctor_bn ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">About Doctor (AR)</label>
                                                            <textarea name="about_doctor_ar" class="textarea" id="editor6"><?php echo $doctorInfo->about_doctor_ar ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">About Doctor (HI)</label>
                                                            <textarea name="about_doctor_hi" class="textarea" id="editor7"><?php echo $doctorInfo->about_doctor_hi ?? ''; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <div class="panel box box-primary">
                                                <a data-toggle="collapse" data-parent="#accordion"
                                                    href="#collapseThree">
                                                    <div class="box-header with-border d-flex">
                                                        <h4 class="box-title">
                                                            Work Experience History
                                                        </h4>
                                                    </div>
                                                </a>
                                                <div id="collapseThree" class="panel-collapse collapse">
                                                    <div class="box-body">
                                                        <div class="form-group col-md-12">
                                                            <label for="">Work Experience (En)</label>
                                                            <textarea name="work_exp_his_en" class="textarea" id="editor9"><?php echo $doctorInfo->work_exp_his_en ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Work Experience (BN)</label>
                                                            <textarea name="work_exp_his_bn" class="textarea" id="editor10"><?php echo $doctorInfo->work_exp_his_bn ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Work Experience (AR)</label>
                                                            <textarea name="work_exp_his_ar" class="textarea" id="editor11"><?php echo $doctorInfo->work_exp_his_ar ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Work Experience (HI)</label>
                                                            <textarea name="work_exp_his_hi" class="textarea" id="editor12"><?php echo $doctorInfo->work_exp_his_hi ?? ''; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group col-md-12">
                                            <div class="panel box box-primary">
                                                <a data-toggle="collapse" data-parent="#accordion"
                                                    href="#collapsefive">
                                                    <div class="box-header with-border d-flex">
                                                        <h4 class="box-title">
                                                            Doctor Qualification
                                                        </h4>
                                                    </div>
                                                </a>
                                                <div id="collapsefive" class="panel-collapse collapse">
                                                    <div class="box-body">
                                                        <div class="form-group col-md-12">
                                                            <label for="">Qualification (En)</label>
                                                            <textarea name="qualification_en" class="textarea" id="editor13"><?php echo $doctorInfo->qualification_en ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Qualification (BN)</label>
                                                            <textarea name="qualification_bn" class="textarea" id="editor14"><?php echo $doctorInfo->qualification_bn ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Qualification (AR)</label>
                                                            <textarea name="qualification_ar" class="textarea" id="editor15"><?php echo $doctorInfo->qualification_ar ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Qualification (HI)</label>
                                                            <textarea name="qualification_hi" class="textarea" id="editor16"><?php echo $doctorInfo->qualification_hi ?? ''; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>



                                        <div class="form-group col-md-12">
                                            <div class="panel box box-primary">
                                                <a data-toggle="collapse" data-parent="#accordion"
                                                    href="#collapseFour">
                                                    <div class="box-header with-border d-flex">
                                                        <h4 class="box-title">
                                                            Doctor Awards
                                                        </h4>
                                                    </div>
                                                </a>
                                                <div id="collapseFour" class="panel-collapse collapse">
                                                    <div class="box-body">
                                                        <div class="form-group col-md-12">
                                                            <label for="">Awards (En)</label>
                                                            <textarea name="awards_en" class="textarea" id="editor17"><?php echo $doctorInfo->awards_en ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Awards (BN)</label>
                                                            <textarea name="awards_bn" class="textarea" id="editor18"><?php echo $doctorInfo->awards_bn ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Awards (AR)</label>
                                                            <textarea name="awards_ar" class="textarea" id="editor19"><?php echo $doctorInfo->awards_ar ?? ''; ?></textarea>
                                                        </div>

                                                        <div class="form-group col-md-12">
                                                            <label for="">Awards (HI)</label>
                                                            <textarea name="awards_hi" class="textarea" id="editor20"><?php echo $doctorInfo->awards_hi ?? ''; ?></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group form-check col-md-12">
                                            <label class="form-check-label">
                                                <input class="form-check-input" type="checkbox" name="is_top"
                                                    value="1" {{ $doctorInfo->is_top ? 'checked' : '' }}>
                                                Top Doctors

                                            </label>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <button type="submit" class="btn btn-info"
                                                value="Submit">Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>



        </div>

        <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
    <script>
        $(function() {
            CKEDITOR.replace('editor7')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor8')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor5')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor6')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor9')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor10')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor11')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor12')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor13')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor14')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor15')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor16')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor17')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor18')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor19')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor20')
        })
    </script>
    <script>
        function initCKEditor(elementId) {
            CKEDITOR.replace(elementId);
        }

        $(function() {
            initCKEditor('editor1');
            initCKEditor('editor2');
            initCKEditor('editor3');
            initCKEditor('editor4');
            initCKEditor('editor5');
            initCKEditor('editor6');
            initCKEditor('editor7');
            initCKEditor('editor8');

            // Other initialization code...
        });
    </script>

</body>

</html>
