<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Hospital
                    <small>Manage Hospital</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Hospital Create</a></li>
                    <li class="active">Hospital</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Hospital</h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <form action="{{ route('hospital.store') }}" enctype="multipart/form-data"
                                    method="POST">
                                    @csrf
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="">Hospital Logo*</label>
                                            <input type="file" name="logo_img" class="form-control" required>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="">Hospital Image*</label>
                                            <input type="file" name="img" class="form-control" required>
                                        </div>

                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (EN)*</label>
                                            <input type="text" name="name_en" class="form-control" required
                                                value="{{ old('name_en') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (BN)*</label>
                                            <input type="text" name="name_bn" class="form-control" required
                                                value="{{ old('name_bn') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (HI)*</label>
                                            <input type="text" name="name_hi" class="form-control" required
                                                value="{{ old('name_hi') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (AR)*</label>
                                            <input type="text" name="name_ar" class="form-control" required
                                                value="{{ old('name_ar') }}">
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="">Treatments*</label>
                                            <select name="spelization_id[]" class="form-control select2" multiple
                                                required id="" data-placeholder="Select Specialization">

                                                <option value="">Select</option>
                                                @foreach ($treatments as $treatment)
                                                    <option value="{{ $treatment->id ?? '' }}">
                                                        {{ $treatment->treatment_name_en ?? '' }}</option>
                                                @endforeach
                                            </select>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="">Citys*</label>
                                            <select name="city_id[]" class="form-control select2" multiple
                                                required id="" data-placeholder="Select Specialization">

                                                <option value="">Select</option>
                                                @foreach ($citys as $city)
                                                    <option value="{{ $city->id ?? '' }}">
                                                        {{ $city->name_en ?? '' }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (EN)</label>
                                            <textarea name="content_en" id="editor1" cols="30" rows="10">{{ old('content_en') }}</textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (HI)</label>
                                            <textarea name="content_hi" id="editor2" cols="30" rows="10">{{ old('content_hi') }}</textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (AR)</label>
                                            <textarea name="content_ar" id="editor3" cols="30" rows="10">{{ old('content_ar') }}</textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (BN)</label>
                                            <textarea name="content_bn" id="editor4" cols="30" rows="10">{{ old('content_bn') }}</textarea>
                                        </div>

                                        <div class="form-group form-check col-md-12">
                                            <label class="form-check-label">
                                                <input class="form-check-input" class="form-control" type="checkbox"
                                                    name="is_top" value="1"> TOP HOSPITAL
                                            </label>
                                        </div>


                                        <div class="form-group col-md-12">
                                            <button type="submit" class="btn btn-info" value="Submit">Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>



                        </div>
                        <!-- /.box-body -->

                    </div>

                </div>

        </div>

        <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
    <script>
        $(function() {
            CKEDITOR.replace('editor7')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor8')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor5')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor6')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor9')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor10')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor11')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor12')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor13')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor14')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor15')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor16')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor17')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor18')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor19')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor20')
        })
    </script>
    <script>
        function initCKEditor(elementId) {
            CKEDITOR.replace(elementId);
        }

        $(function() {
            initCKEditor('editor1');
            initCKEditor('editor2');
            initCKEditor('editor3');
            initCKEditor('editor4');
            initCKEditor('editor5');
            initCKEditor('editor6');
            initCKEditor('editor7');
            initCKEditor('editor8');

            // Other initialization code...
        });
    </script>

</body>

</html>
