<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Hospital
                    <small>Manage Hospital</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Hospital Update</a></li>
                    <li class="active">Doctor</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')

                <div class="row">
                    <div class="col-md-4">


                        <div class="box box-primary">
                            <div class="box-header with-border">
                                <h3 class="box-title text-center"> Hospital Logo</h3>
                            </div>
                            <div class="box-body">
                                <form action="{{ route('hospital.update_logo', $hospitalInfo->id) }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="mb-2 text-center">
                                        <img src="{{ $hospitalInfo->logo_img }}" style="max-width:100px">

                                    </div>
                                    <input type="file" required style="display: none" name="logo_img" id="img_logo">
                                    <div class="text-center form-group col-md-12">
                                        <label for="img_logo" class="btn btn-info">Upload File</label>
                                    </div>


                                    <div class="form-group col-md-12 mt-2">
                                        <input type="submit" value="Submit" class="btn form-control btn-primary w-100"
                                            name="submit">
                                    </div>
                                </form>
                            </div>
                        </div>


                        <div class="box box-primary mt-2">
                            <div class="box-header with-border">
                                <h3 class="box-title text-center"> Hospital</h3>
                            </div>
                            <div class="box-body">
                                <form action="{{ route('hospital.update_img', $hospitalInfo->id) }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="dc_img mb-2">
                                        <img src="{{ $hospitalInfo->img }}">

                                    </div>
                                    <input type="file" required style="display: none" name="img" id="img">
                                    <div class="text-center">
                                        <label for="img" class="btn btn-info">Upload File</label>
                                    </div>

                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <th>Hospital Name</th>
                                                <th>:</th>
                                                <td>{{ $hospitalInfo->name_en ?? '' }}</td>
                                            </tr>

                                        </tbody>
                                    </table>
                                    <div class="form-group col-md-12">
                                        <input type="submit" value="Submit" class="btn form-control btn-primary w-100"
                                            name="submit">
                                    </div>
                                </form>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-8">
                        <div class="box">
                            <div class="box-header">
                                <h4>Hospital Details</h4>
                            </div>
                            <div class="box-body">
                                <form action="{{ route('hospital.update', $hospitalInfo->id) }}"
                                    enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <div class="form-row">


                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (EN)*</label>
                                            <input type="text" name="name_en" class="form-control" required
                                                value="{{ $hospitalInfo->name_en ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (BN)*</label>
                                            <input type="text" name="name_bn" class="form-control"
                                                value="{{ $hospitalInfo->name_bn ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (HI)*</label>
                                            <input type="text" name="name_hi" class="form-control"
                                                value="{{ $hospitalInfo->name_hi ?? '' }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Hospital Name (AR)*</label>
                                            <input type="text" name="name_ar" class="form-control"
                                                value="{{ $hospitalInfo->name_ar ?? '' }}">
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="">Treatment*</label>
                                            <select name="specialization_id[]" class="form-control select2" multiple required>
                                                <option value="">Select</option>
                                                @foreach ($treatments as $treatment)
                                                    <option value="{{ $treatment->id }}"
                                                        @if (in_array($treatment->id, $selectedSpecializations)) selected @endif>
                                                        {{ $treatment->treatment_name_en ?? '' }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <label for="">City*</label>
                                            <select name="city_id[]" class="form-control select2" multiple required>
                                                <option value="">Select</option>
                                                @foreach ($citys as $city)
                                                    <option value="{{ $city->id }}"
                                                        @if (in_array($city->id, $selectedCity)) selected @endif>
                                                        {{ $city->name_en ?? '' }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>


                                        <div class="form-group col-md-12">
                                            <label for="">Content (EN)</label>
                                            <textarea name="content_en" id="editor1" cols="30" rows="10"><?php echo $hospitalInfo->content_en ??'' ?></textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (HI)</label>
                                            <textarea name="content_hi" id="editor2" cols="30" rows="10"><?php echo $hospitalInfo->content_hi ??'' ?></textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (AR)</label>
                                            <textarea name="content_ar" id="editor3" cols="30" rows="10"><?php echo $hospitalInfo->content_ar ??'' ?></textarea>
                                        </div>
                                        <div class="form-group col-md-12">
                                            <label for="">Content (BN)</label>
                                            <textarea name="content_bn" id="editor4" cols="30" rows="10"><?php echo $hospitalInfo->content_bn ??'' ?></textarea>
                                        </div>



                                        <div class="form-group form-check col-md-12">
                                            <label class="form-check-label">
                                              <input class="form-check-input" type="checkbox" name="is_top" value="1" {{ $hospitalInfo->is_top ? 'checked' : '' }}> TOP HOSPITAL

                                            </label>
                                          </div>

                                        <div class="form-group col-md-12">
                                            <button type="submit" class="btn btn-info"
                                                value="Submit">Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>



        </div>

        <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
    <script>
        $(function() {
            CKEDITOR.replace('editor7')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor8')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor5')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor6')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor9')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor10')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor11')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor12')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor13')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor14')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor15')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor16')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor17')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor18')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor19')
        })
    </script>
    <script>
        $(function() {
            CKEDITOR.replace('editor20')
        })
    </script>
    <script>
        function initCKEditor(elementId) {
            CKEDITOR.replace(elementId);
        }

        $(function() {
            initCKEditor('editor1');
            initCKEditor('editor2');
            initCKEditor('editor3');
            initCKEditor('editor4');
            initCKEditor('editor5');
            initCKEditor('editor6');
            initCKEditor('editor7');
            initCKEditor('editor8');

            // Other initialization code...
        });
    </script>

</body>

</html>
