<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Site Settings
                    <small>Manage Website</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Site Settings</a></li>
                    <li class="active">Site Settings</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Site Settings</h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                              <form action="{{ route('update.site', ['id' => $siteSettings->id]) }}" method="POST">
                                  @csrf
                                  <div class="form-row">
                                  <div class="form-group col-md-6">
                                   <label for="">Phone 1</label>
                                   <input type="text" value="{{$siteSettings->phone_1 ??''}}" name="phone_1" class="form-control">
                                  </div>
                                  <div class="form-group col-md-6">
                                    <label for="">Phone 2</label>
                                    <input type="text" value="{{$siteSettings->phone_2 ??''}}" name="phone_2" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Email 1</label>
                                    <input type="text" value="{{$siteSettings->email_1 ??''}}" name="email_1" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Email 2</label>
                                    <input type="text" value="{{$siteSettings->email_2 ??''}}" name="email_2" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Address 1</label>
                                    <input type="text" value="{{$siteSettings->address_1 ??''}}" name="address_1" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Address 2</label>
                                    <input type="text" value="{{$siteSettings->address_2 ??''}}" name="address_2" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Whats App</label>
                                    <input type="text" value="{{$siteSettings->whatsapp ??''}}" name="whatsapp" class="form-control">
                                   </div>
                                   <div class="form-group col-md-6">
                                    <label for="">Facebook</label>
                                    <input type="text" value="{{$siteSettings->facebook ??''}}" name="facebook" class="form-control">
                                   </div>
                                   <div class="form-group col-md-4">
                                    <label for="">Insta</label>
                                    <input type="text" value="{{$siteSettings->instagram ??''}}" name="instagram" class="form-control">
                                   </div>
                                   <div class="form-group col-md-4">
                                    <label for="">Youtube</label>
                                    <input type="text" value="{{$siteSettings->youtube ??''}}" name="youtube" class="form-control">
                                   </div>
                                   <div class="form-group col-md-4">
                                    <label for="">Twitter</label>
                                    <input type="text" value="{{$siteSettings->twitter ??''}}" name="twitter" class="form-control">
                                   </div>

                                   <div class="form-group col-md-6">
                                     <button type="submit" class="btn btn-info" value="Submit">Submit</button>
                                   </div>

                              </form>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
