<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Site Settings
                    <small>Manage Website</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Site Settings</a></li>
                    <li class="active">Site Settings</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Site Settings</h3>


                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>

                                            <th>Phone 1</th>
                                            <th>Phone 2</th>
                                            <th>Email 1</th>
                                            <th>Email 2</th>
                                            <th>Face Book</th>
                                            <th>Twitter</th>
                                            <th>Youtube</th>
                                            <th>Instagram</th>
                                            <th style="width: 150px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($siteInfo as $index => $site)
                                            <tr>


                                                <td>{{ $site->phone_1 ??''}}</td>
                                                <td>{{ $site->phone_2 ??''}}</td>
                                                <td>{{ $site->email_1 ??''}}</td>
                                                <td>{{ $site->email_2 ??''}}</td>
                                                <td>{{ $site->facebook ??''}}</td>
                                                <td>{{ $site->twitter ??''}}</td>
                                                <td>{{ $site->youtube ??''}}</td>
                                                <td>{{ $site->instagram ??''}}</td>
                                                <td>
                                                    <a href="{{ route('edit.site', ['id' => $site->id]) }}" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a>
                                                </td>

                                                <td>



                                                </td>
                                            </tr>
                                        @endforeach

                                    </tbody>

                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
