<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Treatment
                    <small>Manage Treatment</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Treatment Create</a></li>
                    <li class="active">Treatment</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Create {{ $parentTreatment->treatment_name_en }} Treatment </h3>


                    </div>
                    <div class="row"> 
                        <div class="col-md-12">
                            <div class="box-body">
                                <form action="{{ route('treatment.children.store', ['id' => $parentTreatment->id]) }}"
                                    enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <input type="hidden" name="parent_id" value="{{ $parentTreatment->id }}">
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="">Treatment Image*</label>
                                            <input type="file" name="img" class="form-control" required>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="">Treatment Icon</label>
                                            <input type="file" name="icon" class="form-control">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Treatment Name (EN)*</label>
                                            <input type="text" name="treatment_name_en" class="form-control" required
                                                value="{{ old('treatment_name_en') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Treatment Name (BN)</label>
                                            <input type="text" name="treatment_name_bn" class="form-control"
                                                value="{{ old('treatment_name_bn') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Treatment Name (HI)</label>
                                            <input type="text" name="treatment_name_hi" class="form-control"
                                                value="{{ old('treatment_name_hi') }}">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="">Treatment Name (AR)</label>
                                            <input type="text" name="treatment_name_ar" class="form-control"
                                                value="{{ old('treatment_name_ar') }}">
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Treatment Description (EN) (Max 200 Charector)</label>
                                            <textarea name="description_en" maxlength="200" id="" class="form-control" rows="3" style="resize: none">{{ old('description_en') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Treatment Description (AR) (Max 200 Charector)</label>
                                            <textarea name="description_ar" maxlength="200" class="form-control" id="" rows="3" style="resize: none">{{ old('description_ar') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Treatment Description (BN) (Max 200 Charector)</label>
                                            <textarea name="description_bn" maxlength="200" class="form-control" id="" rows="3" style="resize: none">{{ old('description_bn') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Treatment Description (HI) (Max 200 Charector)</label>
                                            <textarea name="description_hi" maxlength="200" class="form-control" id="" rows="3" style="resize: none">{{ old('description_hi') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Content (EN)</label>
                                            <textarea name="content_en" class="form-control " id="editor1" rows="3" style="resize: none">{{ old('content_en') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Content (BN)</label>
                                            <textarea name="content_bn" class="form-control  " id="editor2" id="" rows="3"
                                                style="resize: none">{{ old('content_bn') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Content (HI)</label>
                                            <textarea name="content_hi" class="form-control " id="editor3" rows="3" style="resize: none">{{ old('content_hi') }}</textarea>
                                        </div>

                                        <div class="form-group col-md-12">
                                            <label for="">Content (AR)</label>
                                            <textarea name="content_ar" class="form-control " id="editor4" rows="3" style="resize: none">{{ old('content_ar') }}</textarea>
                                        </div>

                                        <div class="form-group form-check col-md-12">
                                            <label class="form-check-label">
                                                <input class="form-check-input" class="form-control" type="checkbox"
                                                    name="is_popular" value="1"> POPULAR TREATMENTS

                                            </label>
                                        </div>
                                        <div class="form-group form-check col-md-12">
                                            <label class="form-check-label">
                                                <input class="form-check-input" class="form-control" type="checkbox"
                                                    name="is_current" value="1"> LISTING OF CURRENT OPTION
                                            </label>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <button type="submit" class="btn btn-info"
                                                value="Submit">Submit</button>
                                        </div>

                                </form>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
