<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Treatment
                    <small>Manage Treatment</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Treatment</a></li>
                    <li class="active">Treatment</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Treatment Management</h3>
                        <div class="box-tools pull-right">
                            <a href="{{route('treatment.add')}}" class="btn btn-block btn-primary btn-flat"
                                data-toggle="tooltip" title="Create System User">
                                <i class="fa fa-plus"></i> Create Treatment</a>

                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Sl No</th>
                                            <th>Treatment Name</th>
                                            <th>img</th>
                                            <th>Icon</th>
                                            <th style="width: 200px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($treatmentInfo as $treatment)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $treatment->treatment_name_en }}</td>
                                                <td>
                                                    @if($treatment->img)

                                                        <img src="{{$treatment->img }}" style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010" alt="">

                                                    @else
                                                        No Image
                                                    @endif
                                                </td>
                                                <td>
                                                    @if($treatment->icon)

                                                        <img src="{{$treatment->icon }}" style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010" alt="">

                                                    @else
                                                        No Icon Select
                                                    @endif
                                                </td>
                                                <td>
                                                    <!-- Add your action buttons or links here -->
                                                    {{-- Example: --}}
                                                    <a href="{{ route('treatment.edit', $treatment->id) }}" class="btn btn-primary btn-sm">Edit</a>
                                                    <a href="{{route('treatment.delete', $treatment->id)}}" class="btn btn-danger btn-sm">Delete</a>
                                                    <a href="{{route('treatment.view', $treatment->id)}}" class="btn btn-warning btn-sm">View</a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
