<!DOCTYPE html>
<html>

@include('includes.head')


<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Treatment
                    <small>Manage Treatment</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">Treatment</a></li>
                    <li class="active">Treatment</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
                @include('includes.messages')
                <!-- Default box -->
                <div class="row">
                 <div class="col-md-4">
                    <div class="box box-primary">
                        <div class="box-header">
                          <h4>{{ $treatmentInfo->treatment_name_en }}</h4>
                        </div>
                        <div class="box-body">
                           <img  style="width: 100%" src="{{$treatmentInfo->img ??''}}" alt="">
                        </div>
                        <div class="box-footer">
                         <a href="{{route('treatment.edit',$treatmentInfo->id)}}" class="btn btn-info">Edit <i class="fa fa-edit"></i></a>
                        </div>
                    </div>
                 </div>
                 <div class="col-md-8">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ $treatmentInfo->treatment_name_en }}</h3>
                        <div class="box-tools pull-right">
                            <a href="{{ route('treatment.children.create', ['id' => $treatmentInfo->id]) }}"
                                class="btn btn-block btn-primary btn-flat" data-toggle="tooltip"
                                title="Create System User">
                                <i class="fa fa-plus"></i> Create New </a>

                        </div>

                    </div>
                    <div class="row">

                        <div class="col-md-12">
                            <div class="box-body">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>Sl No</th>
                                            <th>Treatment Name</th>
                                            <th>img</th>
                                            <th>Icon</th>
                                            <th style="width: 200px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        @foreach ($childTreatments as $childTreatment)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $childTreatment->treatment_name_en }}</td>
                                                <td>
                                                    @if ($childTreatment->img)
                                                        <img src="{{ $childTreatment->img }}"
                                                            style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010"
                                                            alt="">
                                                    @else
                                                        No Image
                                                    @endif
                                                </td>
                                                <td>
                                                    @if ($childTreatment->img)
                                                        <img src="{{$childTreatment->icon}}"
                                                            style="width: 80px; height:80px; object-fit:cover; object-position:center; border:2px solid #101010"
                                                            alt="">
                                                    @else
                                                        No Icon
                                                    @endif
                                                </td>
                                                <td>
                                                    <!-- Add your action buttons or links here -->
                                                    {{-- Example: --}}
                                                    <a href="{{ route('treatment.editChild', $childTreatment->id) }}"
                                                        class="btn btn-primary btn-sm">Edit</a>
                                                    <a href="{{route('treatment.delete', $childTreatment->id)}}" class="btn btn-danger btn-sm">Delete</a>

                                                </td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>

                            </div>
                            <!-- /.box-body -->

                        </div>

                    </div>

                </div>
                <!-- /.box -->
                </div>
                </div>
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
