<!DOCTYPE html>
<html>

@include('includes.head')

<body class="hold-transition skin-blue fixed sidebar-mini">
    <div class="wrapper">

        @include('includes.header')
        <!-- Left side column. contains the logo and sidebar -->

        @include('includes.side-nav')
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Dashboard
                    <small>Control panel</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li class="active">Dashboard</li>
                </ol>

                @include('includes.messages')

            </section>

            <!-- Main content -->
            <section class="content">
                <!-- Small boxes (Stat box) -->
                <div class="row">

                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-aqua">
                            <div class="inner">
                                <h3>{{ $countInfo['country_count'] ?? '0' }}</h3>

                                <p>Country</p>
                            </div>
                            <div class="icon">

                                <i class="fa fa-globe"></i>
                            </div>
                            <a href="{{route('countries.list')}}" class="small-box-footer">More info <i
                                    class="fa fa-arrow-circle-right"></i></a>
                        </div>

                    </div>
                    <!-- ./col -->
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-green">
                            <div class="inner">
                                <h3>{{ $countInfo['course_count'] ?? '0' }}</h3>
                                <p>Course</p>
                            </div>
                            <div class="icon">
                                <i class="fa fa-list"></i>

                            </div>
                            <a href="{{route('course.list')}}" class="small-box-footer">More info <i
                                    class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                    <!-- ./col -->
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-yellow">
                            <div class="inner">
                                <h3>{{ $countInfo['enquery_count'] ?? '0' }}</h3>

                                <p>Customer Enquery</p>
                            </div>
                            <div class="icon">
                                <i class="fa fa-user"></i>
                            </div>
                            <a href="{{route('enquery.list')}}" class="small-box-footer">More info <i
                                    class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>



                </div>


            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')

</body>

</html>
