<!DOCTYPE html>
<html>

@include('includes.head')

<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    System Users
                    <small>Manage System Users</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    <li><a href="#">System users</a></li>
                    <li class="active">new</li>
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">

                <!-- Default box -->
                <div class="box box-primary">
                    @include('includes.messages')
                    <div class="box-header with-border">
                        <h3 class="box-title">Create New System User Account</h3>
                        <form role="form" action="{{ route('hr.staff.store') }}" method="POST">
                            @csrf
                            <div class="box-body">
                                <div class="form-group col-md-6">
                                    <label>First Name</label>
                                    <input type="text" class="form-control" required value=""
                                        placeholder="Enter first name" name="first_name">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Last Name</label>
                                    <input type="text" class="form-control" required value=""
                                        placeholder="Enter last name" name="last_name">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Email</label>
                                    <input type="email" class="form-control" required value=""
                                        placeholder="Enter email" name="email">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Phone Number</label>
                                    <input type="tel" class="form-control" required value="" maxlength="10"
                                        placeholder=" Enter phone number" name="phone_number">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Password</label>
                                    <input type="password" class="form-control" required value=""
                                        placeholder="Create Password" name="password">
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Select Role</label>

                                    <select class="form-control" name="role_id">

                                        <option>Select Role</option>
                                        @foreach ($records as $record)
                                            <option value="{{ $record->id }}">{{ $record->name }}</option>
                                        @endforeach
                                    </select>

                                </div>
                                <div class="form-group">
                                    <label>Account Active Status</label>
                                    <div class="checkbox">
                                        <label>
                                            <input type="checkbox" name="status" checked="true" />Active
                                        </label>
                                    </div>
                                </div>

                            </div><!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" name="submit" class="btn btn-primary btn-flat">Submit</button>
                            </div>


                        </form>

                    </div>


                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('includes.scripts')
</body>

</html>
<script>
    var loadFile = function(event) {
        var reader = new FileReader();
        reader.onload = function() {
            var output = document.getElementById('output');
            output.src = reader.result;
        };
        reader.readAsDataURL(event.target.files[0]);
    };
</script>
