<!DOCTYPE html>
<html>

@include('setup.includes.head')
<!-- ADD THE CLASS fixed TO GET A FIXED HEADER AND SIDEBAR LAYOUT -->
<!-- the fixed layout is not compatible with sidebar-mini -->

<body class="hold-transition skin-blue fixed sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">

        @include('setup.includes.header')
        <!-- =============================================== -->

        <!-- Left side column. contains the sidebar -->
        @include('setup.includes.side-nav')

        <!-- =============================================== -->

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    System Setup
                    <small>Intital setup, debugging and Trouble Shooting</small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> System</a></li>
                    <li class="active"><a href="#">Setup</a></li>

                </ol>
            </section>

            <!-- Main content -->
            <section class="content">

                <!-- Default box -->
                <div class="box box-primary">

                    <div class="row">

                        <div class="col-md-12">
                            <div class="box-body">

                                @include('setup.includes.messages')
                            </div>
                            <div class="box-body">

                                <label>Cache Clean Up</label>
                                <table class="table table-bordered table-hover">
                                    <tr>
                                        <th style="width: 10px">#</th>
                                        <th>Task</th>
                                        <th>Comments &amp; Hints</th>
                                        <th style="width: 120px">Action</th>

                                    </tr>

                                    @include('setup.setup_includes.artisan_optimize')
                                    @include('setup.setup_includes.artisan_route_clear')
                                    @include('setup.setup_includes.artisan_cache_clear')
                                    @include('setup.setup_includes.artisan_view_cache_clear')



                                </table>
                                <br>
                                <label>Database</label>
                                <table class="table table-bordered table-hover">
                                    <tr>
                                        <th style="width: 10px">#</th>
                                        <th>Task</th>
                                        <th>Comments &amp; Hints</th>
                                        <th style="width: 120px">Action</th>

                                    </tr>


                                    @include('setup.setup_includes.database_migration')
                                    @include('setup.setup_includes.database_seeder')
                                    @include('setup.setup_includes.database_migration_fresh')
                                    @include('setup.setup_includes.database_migration_fresh_seed')
                                    @include('setup.setup_includes.database_truncate')




                                </table>
                            </div>



                        </div>

                    </div>

                </div>
                <!-- /.box -->

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('setup.includes.footer')

    </div>
    <!-- ./wrapper -->

    @include('setup.includes.scripts')
</body>

</html>
