<!DOCTYPE html>
<html lang="en">
@include('website.includes.head')

<body>
    @include('website.includes.header')
    <!-- Page Header Start -->
    <div class="container-fluid page-header py-5 wow fadeIn" data-wow-delay="0.1s"
        style="background-image: url(<?php echo url('/'); ?>/website/img/inner_bg.jpg);">
        <div class="container py-4">
            <h1 class="display-3 text-white mb-3 animated slideInDown responsive_heading">{{ $item->name }}</h1>
            <nav aria-label="breadcrumb animated slideInDown">
                <ol class="breadcrumb text-uppercase mb-0">
                    <li class="breadcrumb-item"><a class="text-white" href="{{ route('home') }}">{{ __('message.home') }}</a></li>

                    <li class="breadcrumb-item text-white active" aria-current="page">{{ __('message.doctor') }}</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="doctor_details_area py-5">
        <div class="container">
            <div class="row">
                <div class="col-md-3">
                    <div class="doctor_img">
                        <img src="{{ $item->profilePicUrl }}">
                        <div class="doctoe_details_text mt-3">
                            <h4>{{ $item->name }}</h4>
                            <span><i class="fa fa-hospital" aria-hidden="true"></i> {{ $item->hospitalName }}</span>

                            <span>{{ $item->experience }}</span>

                            <div></div>

                            <ul>
                                @if ($item->fb_link != null)
                                    <li>
                                        <a href="{{ $item->fb_link }}" target="_blank">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                @endif
                                @if ($item->twitter_link != null)
                                    <li><a href="{{ $item->twitter_link }}" target="_blank"><i
                                                class="fab fa-twitter"></i></a></li>
                                @endif
                                @if ($item->linkdid != null)
                                    <li><a href="{{ $item->linkdid }}" target="_blank"><i
                                                class="fab fa-linkedin-in"></i></a></li>
                                @endif
                                @if ($item->insta_link != null)
                                    <li> <a href="{{ $item->insta_link }}" target="_blank"><i
                                                class="fab fa-instagram"></i></a></li>
                                @endif
                            </ul>
                            <div class="btn_area mt-3 text-center">
                                <a data-bs-toggle="modal" data-bs-target="#enquery_modal" style="cursor: pointer"
                                    class="btn rounded-pill btn-danger">{{ __('message.enquery_now_title') }} </a>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="col-md-9">
                    <div class="doctoe_details_text_tab">
                        <div class="accordion" id="accordionExample">

                            @if ($item->qualification != null || strlen($item->qualification) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                        <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                            data-bs-target="#collapseOne" aria-expanded="true"
                                            aria-controls="collapseOne">
                                            {{ __('message.qualification_title') }}
                                        </button>
                                    </h2>
                                    <div id="collapseOne" class="accordion-collapse collapse show"
                                        aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <?php echo $item->qualification; ?>
                                        </div>
                                    </div>
                                </div>
                            @endif

                            @if ($item->about_doctor != null || strlen($item->about_doctor) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingTwo">
                                        <button class="accordion-button collapsed" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#collapseTwo"
                                            aria-expanded="false" aria-controls="collapseTwo">
                                            {{ __('message.about_doctor_title') }}
                                        </button>
                                    </h2>
                                    <div id="collapseTwo" class="accordion-collapse collapse"
                                        aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <?php echo $item->about_doctor; ?>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            @if ($item->work_exp_his != null || strlen($item->work_exp_his) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingThree">
                                        <button class="accordion-button collapsed" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#collapseThree"
                                            aria-expanded="false" aria-controls="collapseThree">
                                              {{ __('message.work_exp_history') }}

                                        </button>
                                    </h2>
                                    <div id="collapseThree" class="accordion-collapse collapse"
                                        aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">

                                            <?php echo $item->work_exp_his; ?>
                                        </div>
                                    </div>
                                </div>
                            @endif



                            @if ($item->specialist != null || strlen($item->specialist) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingFour">
                                        <button class="accordion-button collapsed" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#collapseFour"
                                            aria-expanded="false" aria-controls="collapseThree">
                                            {{ __('message.specialization') }}


                                        </button>
                                    </h2>
                                    <div id="collapseFour" class="accordion-collapse collapse"
                                        aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <?php echo $item->specialist; ?>
                                        </div>
                                    </div>
                                </div>
                            @endif




                            @if ($item->awards != null || strlen($item->awards) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingFour">
                                        <button class="accordion-button collapsed" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#collapseFive"
                                            aria-expanded="false" aria-controls="collapseThree">
                                            {{ __('message.awards') }}
                                        </button>
                                    </h2>
                                    <div id="collapseFive" class="accordion-collapse collapse"
                                        aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <?php echo $item->awards; ?>
                                        </div>
                                    </div>
                                </div>
                            @endif

                            @if (count($item->spelizations) > 0)
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingFour">
                                        <button class="accordion-button collapsed" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#collapseSix"
                                            aria-expanded="false" aria-controls="collapseThree">
                                            {{ __('message.treatments_title') }}
                                        </button>
                                    </h2>
                                    <div id="collapseSix" class="accordion-collapse collapse"
                                        aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            @foreach ($item->spelizations as $treatment)
                                                <li>{{ $treatment->spelization->name }}</li>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    @include('website.includes.footer')

    @include('website.includes.script')
</body>

</html>
