<!DOCTYPE html>
<html lang="en">
@include('website.includes.head')

<body>
    @include('website.includes.header')
    <!-- Page Header Start -->
    <div class="container-fluid page-header py-5 mb-5 wow fadeIn" data-wow-delay="0.1s"
        style="background-image: url(<?php echo url('/'); ?>/website/img/inner_bg.jpg);">
        <div class="container py-4">
            <h1 class="display-3 text-white mb-3 animated slideInDown responsive_heading">{{__('message.doctor')}}</h1>
            <nav aria-label="breadcrumb animated slideInDown">
                <ol class="breadcrumb text-uppercase mb-0">
                    <li class="breadcrumb-item"><a class="text-white" href="{{ route('home') }}">{{ __('message.home') }}</a></li>

                    <li class="breadcrumb-item text-white active" aria-current="page">{{ __('message.doctor') }} </li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="doctor_list_area py-5">
        <div class="container">
            <!-- Page Header End -->
            @foreach ($doctors as $item)
                <div class="doctor_list_tiles">
                    <div class="row">
                        <div class="col-md-2 col-sm-3">
                            <div class="doctor_tiles_img">
                                <a href="#"><img src="{{ $item->profilePicUrl }}"></a>
                            </div>
                        </div>
                        <div class="col-md-10 col-sm-9">
                            <div class="doctor_tiles_text">
                                <h4><a href="#">{{ $item->name }}</a></h4>
                                <div class="features_doctoe_list">
                                    <span><i class="fa fa-hospital"
                                            aria-hidden="true"></i>  {{ $item->hospitalName }}</span>

                                    <span>{{ $item->experience }}</span>

                                </div>
                            </div>
                            <div class="doctor_tiles_details mt-3">
                                <p>{{ $item->description }}</p>
                            </div>
                            <div class="doctor_tiles_treatment">
                                <div class="doctor_tiles_flex">
                                    <h4>Treatments</h4>
                                    <ul>

                                        @foreach ($item->spelizations as $treatment)
                                            <li>{{ $treatment->spelization->name }}</li>
                                        @endforeach

                                    </ul>

                                </div>
                                <div class="ratting_bitn">

                                    <a href="{{ route('web.doctor.view', "$item->ref") }}"
                                        class="btn rounded-pill btn-danger">{{ __('message.view_profile') }} </a>
                                    <a data-bs-toggle="modal" data-bs-target="#enquery_modal" style="cursor: pointer"
                                        class="btn rounded_btn">{{ __('message.enquery_now_title') }} </a>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            @endforeach
            <div class="mt-4">
                {{ $doctors->appends(request()->input())->links() }}
            </div>

        </div>
    </div>




    @include('website.includes.footer')

    @include('website.includes.script')
</body>

</html>
