<!DOCTYPE html>
<html lang="en">

@include('website.includes.head')

<body>
    <div id="spinner"
        class="show bg-white position-fixed translate-middle w-100 vh-100 top-50 start-50 d-flex align-items-center justify-content-center">
        <div class="spinner-grow text-primary" style="width: 3rem; height: 3rem;" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>
    @include('website.includes.header')

    <!-- Banner -->
    <div class="container-fluid header bg-hero p-0 mb-5">
        <div class="row g-0 align-items-center flex-column-reverse flex-lg-row">
            <div class="col-lg-6 p-5 padding_reduce_responsive wow fadeIn" data-wow-delay="0.1s">
                <h1 class="display-4 text-white mb-5">{{ __('message.good_health_root') }}</h1>

                <form method="POST" class="enquery_form shadow" action="{{ route('home.enquery.submit') }}"
                    enctype="multipart/form-data">

                    @csrf
                    <h4>{{ __('message.contact_us_text') }}</h4>
                    <div class="row">
                        <div class="form-group col-md-12">
                            <input type="text" placeholder="{{ __('message.enter_name') }}" required name="name">
                        </div>
                        <div class="form-group col-md-6">
                            <input type="email" placeholder="{{ __('message.enter_email') }}"  name="email">
                        </div>
                        <div class="form-group col-md-6">
                            <input type="text" maxlength="10" placeholder="{{ __('message.enter_phone_number')}} " required name="phone_number" onkeypress="return (event.charCode !=8 && event.charCode ==0 || (event.charCode >= 48 && event.charCode <= 57))">
                        </div>
                        <div class="form-group col-md-12">
                            <input type="text" placeholder="{{ __('message.enquiry_for')}}"  name="enquery_for">
                        </div>
                        <div class="form-group col-md-12">
                            <textarea placeholder="{{ __('message.write_your_message')}}" rows="2" name="message"></textarea>
                        </div>
                        <div class="form-group col-md-12">
                            <button type="submit" class="btn btn-danger rounded-pill py-3 px-5 mt-3">{{ __('message.send_request')}} </a>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-lg-6 wow fadeIn" data-wow-delay="0.5s">
                <div class="owl-carousel header-carousel">
                    <div class="owl-carousel-item position-relative">
                        <img class="img-fluid" src="<?php echo url('/'); ?>/website/img/carousel-2.jpg" alt="">
                        <div class="owl-carousel-text">
                            <div class="over_text">
                                <h1 class="display-1 text-white mb-0">{{ __('message.premier_destination')}}</h1>
                            </div>
                        </div>
                    </div>
                    <div class="owl-carousel-item position-relative">
                        <img class="img-fluid" src="<?php echo url('/'); ?>/website/img/carousel-1.jpg" alt="">
                        <div class="overly_bg">
                            <div class="owl-carousel-text">
                                <div class="over_text">
                                    <h1 class="display-1 text-white mb-0">{{ __('message.cardiology')}}</h1>

                                    <p>{{ __('message.book_appointment')}}</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="owl-carousel-item position-relative">
                        <img class="img-fluid" src="<?php echo url('/'); ?>/website/img/carousel-3.jpg" alt="">
                        <div class="owl-carousel-text">
                            <div class="over_text">
                                <h1 class="display-1 text-white mb-0">{{ __('message.cancer_treatment')}} </h1>

                                <p>{{ __('message.detect_treat_manage')}}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Header End -->


    <!-- About Start -->
    <div class="container-xxl py-5">
        <div class="container">
            <div class="row g-5">
                <div class="col-lg-6 wow fadeIn" data-wow-delay="0.1s">
                    <div class="d-flex flex-column">
                        <img class="img-fluid rounded w-75 align-self-end"
                            src="<?php echo url('/'); ?>/website/img/about-1.jpg" alt="">
                        <img class="img-fluid rounded w-50 bg-white pt-3 pe-3"
                            src="<?php echo url('/'); ?>/website/img/about-2.jpg" alt="" style="margin-top: -25%;">
                    </div>
                </div>
                <div class="col-lg-6 wow fadeIn" data-wow-delay="0.5s">
                    <p class="d-inline-block border rounded-pill py-1 px-4">{{__('message.about_us')}}</p>

                    <h1>{{ $aboutUs->title ??''}}</h1>
                    <p> <?php echo $aboutUs->content ??''; ?></p>

                    <a class="btn btn-danger rounded-pill py-3 px-5 mt-3"
                        href="{{ route('web.cms', ['about-us']) }}">{{ __('message.read_more')}} </a>
                </div>
            </div>
        </div>
    </div>
    <!-- About End -->


    <!-- Service Start -->
    <div class="container-xxl py-5">
        <div class="container">
            <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                <p class="d-inline-block border rounded-pill py-1 px-4">{{ __('message.services')}} </p>
                <h1> {{ __('message.leading_specialists_hospitals')}}</h1>
            </div>
            <div class="row g-4">

                @foreach ($treatments as $item)
                    <div class="col-lg-4 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                        <div class="service-item bg-light rounded h-100 p-5">
                            <div class="d-inline-flex align-items-center justify-content-center bg-white rounded-circle mb-4"
                                style="width: 65px; height: 65px;">
                                <img src="{{ $item->iconUrl }}">
                            </div>
                            <h4 class="mb-3">{{ $item->name }}</h4>
                            <p class="mb-4">{{ $item->description }}</p>
                            <ul>
                                <li> <a href="{{ route('web.doctor.list') }}"><i class="fas fa-user-md"></i>
                                    {{ __('message.doctor')}}</a></li>
                                <li> <a href="{{ route('web.hospital.list', ['treatment_ref' => "$item->ref"]) }}"><i
                                            class="fa fa-hospital"></i>
                                            {{ __('message.hospital')}}</a></li>
                            </ul>
                            <a class="btn" href="{{ route('web.treatment.view', $item->id) }}"><i
                                    class="fa fa-plus text-danger me-3"></i> {{ __('message.read_more_services')}}</a>
                        </div>
                    </div>
                @endforeach


            </div>

            <div class="btn-area mt-3 text-center">
                <a class="btn btn-danger rounded-pill py-3 px-5 mt-3" href="{{ route('web.treatment.list') }}">{{ __('message.view_more')}}</a>
            </div>
        </div>


    </div>
    <!-- Service End -->





    <!-- Feature Start -->
    <div class="container-fluid bg-danger overflow-hidden my-5 px-lg-0">
        <div class="container feature px-lg-0">
            <div class="row g-0 mx-lg-0">
                <div class="col-lg-6 feature-text py-5 wow fadeIn" data-wow-delay="0.1s">
                    <div class="p-lg-5 ps-lg-0">
                        <p class="d-inline-block border rounded-pill text-light py-1 px-4">{{__('message.features')}}</p>
                        <h1 class="text-white mb-4"> {{ __('message.why_choose_us')}} </h1>
                        <p class="text-white mb-4 pb-2">{{ __('message.medical_journey')}}</p>
                        <div class="row g-4">
                            <div class="col-sm-6">
                                <div class="d-flex align-items-center">
                                    <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light"
                                        style="width: 55px; height: 55px;">
                                        <i class="fa fa-user-md text-danger"></i>
                                    </div>
                                    <div class="ms-4">
                                        <p class="text-white mb-2">{{ __('message.enperience_title')}} </p>
                                        <h5 class="text-white mb-0"> {{ __('message.experience')}}
                                        </h5>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="d-flex align-items-center">
                                    <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light"
                                        style="width: 55px; height: 55px;">
                                        <i class="fa fa-users text-danger"></i>
                                    </div>
                                    <div class="ms-4">
                                        <p class="text-white mb-2">Clients</p>
                                        <h5 class="text-white mb-0"> {{ __('message.clients')}}
                                        </h5>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="d-flex align-items-center">
                                    <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light"
                                        style="width: 55px; height: 55px;">
                                        <i class="fa fa-headphones text-danger"></i>
                                    </div>
                                    <div class="ms-4">
                                        <p class="text-white mb-2">Services</p>
                                        <h5 class="text-white mb-0">{{ __('message.services_24x7')}} </h5>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="d-flex align-items-center">
                                    <div class="d-flex flex-shrink-0 align-items-center justify-content-center rounded-circle bg-light"
                                        style="width: 55px; height: 55px;">
                                        <i class="fa fa-hospital text-danger"></i>
                                    </div>
                                    <div class="ms-4">
                                        <p class="text-white mb-2">Collaborations</p>
                                        <h5 class="text-white mb-0">{{ __('message.collaborations')}} </h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 pe-lg-0 wow choose_us_img fadeIn" data-wow-delay="0.5s"
                    style="min-height: 400px;">
                    <div class="position-relative h-100">
                        <img class="position-absolute img-fluid w-100 h-100"
                            src="<?php echo url('/'); ?>/website/img/feature.jpg" style="object-fit: cover;"
                            alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Feature End -->


    <!-- Team Start -->
    <div class="container-xxl py-5">
        <div class="container">
            <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                <p class="d-inline-block border rounded-pill py-1 px-4">Services</p>
                <h1>{{ __('message.medical_services')}} </h1>
            </div>
            <div class="row g-4">
                <div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                    <div class="medical_services_tiles">
                        <img src="<?php echo url('/'); ?>/website/img/affortable_treatment.jpg">
                        <div class="overly_content">
                            <a href="{{ route('web.treatment.list') }}">{{ __('message.affordable_treatments')}} </a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                    <div class="medical_services_tiles">
                        <img src="<?php echo url('/'); ?>/website/img/hospitals.jpg">
                        <div class="overly_content">
                            <a href="{{ route('web.hospital.list') }}">{{ __('message.top_hospitals')}} </a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                    <div class="medical_services_tiles">
                        <img src="<?php echo url('/'); ?>/website/img/doctors.jpg">
                        <div class="overly_content">
                            <a href="{{ route('web.doctor.list') }}">{{ __('message.top_doctors')}}</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                    <div class="medical_services_tiles">
                        <img src="<?php echo url('/'); ?>/website/img/health_checkup.jpg">
                        <div class="overly_content">
                            <a href="{{ route('web.cms', 'medical-visa') }}">{{ __('message.medical_visa')}} </a>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!-- Team End -->
    <!-- Team Start -->

    @if (count($topHospitals) > 0)
        <div class="top_hospitals_area py-5 bg_gray">
            <div class="container">
                <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                    <p class="d-inline-block border rounded-pill py-1 px-4 bg-light">{{ __('message.hospitals')}} </p>
                    <h1>{{ __('message.top_hospitals')}}</h1>
                </div>
                <div class="owl-carousel hospitals_slide">

                    @foreach ($topHospitals as $item)
                        <div class="top_hospital_tiles">
                            <div class="hispital_img_logo">
                                <img src="{{ $item->logoUrl }}">
                            </div>

                            <h4><a href="#">{{ $item->name }}</a></h4>
                            <div class="hospitals_text mb-3">
                                <span>{{ $item->cityNames }}</span>
                            </div>
                            <a href="{{route('web.hospital.details',$item->id)}}" class="link_text">{{ __('message.read_more')}} </a>
                        </div>
                    @endforeach


                </div>
                <div class="btn-area mt-3 text-center">
                    <a class="btn btn-danger rounded-pill py-3 px-5 mt-3" href="{{ route('web.hospital.list') }}">{{ __('message.view_more_hospitals')}} </a>
                </div>
            </div>
        </div>
    @endif


    <!-- Team End -->

    <!-- Team Start -->
    @if (count($topDoctors) > 0)
        <div class="container-xxl py-5">
            <div class="container">
                <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                    <p class="d-inline-block border rounded-pill py-1 px-4">{{ __('message.doctors')}} </p>
                    <h1>{{ __('message.top_doctors')}} </h1>
                </div>
                <div class="row g-4">
                    @foreach ($topDoctors as $item)
                        <div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                            <div class="team-item position-relative rounded overflow-hidden">
                                <div class="overflow-hidden">
                                    <img class="img-fluid" src="{{ $item->profilePicUrl }}" alt="">
                                </div>
                                <div class="team-text bg-light text-center p-4">
                                    <h5>{{ $item->name }}</h5>
                                    <p class="text-primary"><?php echo $item->experience; ?></p>
                                    <div class="team-social text-center">
                                        <a href="{{route('web.doctor.view',$item->ref )}}" class="btn btn-danger rounded-pill">{{ __('message.view_details')}} </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
                <div class="btn-area mt-3 text-center">
                    <a class="btn btn-danger rounded-pill py-3 px-5 mt-3" href="{{route('web.doctor.list')}}">{{ __('message.view_more')}} </a>
                </div>
            </div>
        </div>
    @endif

    <!-- Team End -->


    <!-- Appointment Start -->
    @include('website.includes.appointment_form')
    <!-- Appointment End -->


    <!-- Testimonial Start -->
    <div class="container-xxl py-5 ">
        <div class="container">
            <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                <p class="d-inline-block border rounded-pill py-1 px-4">{{ __('message.testimonial')}}</p>
                <h1>{{ __('message.what_say_our_patients')}}! </h1>
            </div>
            <div class="owl-carousel testimonial-carousel wow fadeInUp" data-wow-delay="0.1s">


                @if (count($testimonials) > 0)
                    @foreach ($testimonials as $item)
                        <div class="testimonial-item text-center">
                            <img class="img-fluid bg-light rounded-circle p-2 mx-auto mb-4" src="{{ $item->imgUrl }}"
                                style="width: 100px; height: 100px;">
                            <div class="testimonial-text rounded text-center p-4">
                                <p>{{ $item->comment ?? '' }}</p>
                                <h5 class="mb-1">{{ $item->name ?? '' }}</h5>
                                <span class="fst-italic">{{ $item->designation ?? '' }}</span>
                            </div>
                        </div>
                    @endforeach
                @else
                    <p>{{ __('message.no_testimonials')}} </p>
                @endif

            </div>
        </div>
    </div>
    <!-- Testimonial End -->

    <div class="became_partner_area py-5 mt-5">
        <div class="container">
            <h4 class="text-center">{{__('message.our_partners')}}</h4>
            <div class="col-md-10 m-auto text-center">
                <img class="img-fluid" src="<?php echo url('/'); ?>/website/img/partner_collapse.png">
            </div>
        </div>
    </div>

    <!-- Footer Start -->
    @include('website.includes.footer')
    <!-- Footer End -->



    @include('website.includes.script')


</body>

</html>
