<!DOCTYPE html>
<html lang="en">
@include('website.includes.head')

<body>
    @include('website.includes.header')
    <div class="bread_cum_area">

        <div class="container">
            <div class="bread_cum">
                <ul>
                    <li><a href="{{ route('home') }}">{{ __('message.home') }}</a></li>

                    <li><a href="#">{{ $hospitalDetails->name ?? '' }}</a></li>
                </ul>
            </div>
        </div>
    </div>

    <div class="treatment_area py-5">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                        <p class="d-inline-block border rounded-pill py-1 px-4">{{ $hospitalDetails->hospitals ?? '' }} </p>
                        <h1>{{ $hospitalDetails->name ?? '' }}</h1>
                    </div>
                    <div class="hospital_img_details">
                        <img src="{{ $hospitalDetails->imgUrl ?? '' }}">
                    </div>
                    <div class="tratment_describe mt-4">
                        <?php echo $hospitalDetails->content ?? ''; ?>


                    </div>
                    <div class="btn_area text-center">
                        <button type="button" data-bs-toggle="modal" data-bs-target="#enquery_modal"
                            class="btn rounded-pill btn-danger">{{ __('message.enquery_now_title') }}</button>
                    </div>




                    <div class="section_title_small">
                        <h4> {{ __('message.you_may_also') }}</h4>
                    </div>
                    <div class="owl-carousel like_hospitak_slide">
                        @foreach ($hospitals as $hospital)
                            <a href="{{route('web.hospital.details', $hospital->id)}}">
                                <div class="hospital_item">
                                    <img src="{{$hospital->imgUrl}}">

                                    <h4>{{$hospital->name ??''}}</h4>
                                </div>
                            </a>
                        @endforeach




                    </div>








                </div>
                <div class="col-md-4 ">
                    <div class="similior_listing">
                        <h4>{{__('message.listing_current')}}</h4>

                        @if ($current_options->isEmpty())
                        <p>No data found.</p>
                    @else
                        @foreach ($current_options as $current_option)
                            <a href="{{ route('web.treatment.view', $current_option->id) }}">
                                <div class="similiour_tiles_side">
                                    <div class="similior_img">
                                        <img src="{{ $current_option->imgUrl ?? '' }}">
                                    </div>
                                    <div class="similior_title">
                                        <h4>{{ $current_option->name ?? '' }}</h4>
                                    </div>
                                </div>
                            </a>
                        @endforeach
                    @endif



                    </div>

                    <div class="btn_area text-center mt-4">
                        <button type="button" data-bs-toggle="modal" data-bs-target="#enquery_modal"
                        class="btn rounded-pill btn-danger">{{__('message.enquery_now_title')}}</button>
                    </div>


                    <div class="popular_listing mt-4">
                        <h4> {{ __('message.popular_treatments') }}</h4>


                        @if ($populars_treatrments->isEmpty())
                        <p>No data found.</p>
                    @else
                    @foreach ($populars_treatrments as $item)
                    <a href="{{route('web.treatment.view', $item->id)}}">
                        <div class="similiour_tiles_side">
                            <div class="similior_img">
                                <img src="{{$item->imgUrl ??''}}">
                            </div>
                            <div class="similior_title">
                                <h4>{{$item->name ??''}}</h4>
                            </div>
                        </div>
                    </a>
                    @endforeach
                    @endif





                    </div>
                </div>
            </div>
        </div>
    </div>


    @include('website.includes.footer')

    @include('website.includes.script')
</body>

</html>
