<!DOCTYPE html>
<html lang="en">
@include('website.includes.head')

<body>
    @include('website.includes.header')
    <div class="bread_cum_area">

        <div class="container">
            <div class="bread_cum">
                <ul>
                    <li><a href="{{ route('home') }}">{{ __('message.home') }}</a></li>

                    <li><a href="#">{{ __('message.best_hospitals') }} </a></li>
                </ul>
            </div>
        </div>
    </div>

    <div class="treatment_area py-5">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                        <p class="d-inline-block border rounded-pill py-1 px-4">{{ __('message.hospital') }}</p>
                        @if ($pageInfo != null)
                            <h1>{{ $pageInfo->heading }}</h1>
                        @endif

                    </div>
                    @if ($pageInfo != null)
                        <div class="tratment_describe mt-4">
                            <p><?php echo $pageInfo->content; ?></p>

                        </div>
                    @endif
                    <div class="btn_area text-center">
                        <button type="button" data-bs-toggle="modal" data-bs-target="#enquery_modal"
                            class="btn rounded-pill btn-danger">{{ __('message.enquery_now_title') }}</button>
                    </div>
                    @if ($hospitals->isEmpty())
                            <p class="text-center mt-5">Hospitals No Found</p>
                    @else
                    @foreach ($hospitals as $item)
                        <div class="sub_hospital_tiles mt-4">
                            <div class="row">
                                <div class="col-md-5">
                                    <div class="sub_hospital_tiles_img">
                                        <img src="{{ $item->imgUrl }}">
                                    </div>
                                </div>

                                <div class="col-md-7">
                                    <div class="sub_hospital_tiles_text">
                                        <h4><a href="{{route('web.hospital.details', $item->id)}}">{{ $item->name }}</a></h4>
                                        <div><?php echo $item->content; ?></div>

                                        <a href="{{route('web.hospital.details', $item->id)}}" class="btn rounded-pill btn-danger">Read More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                    @endif

                    <div class="mt-4">
                        {{ $hospitals->appends(request()->input())->links() }}
                    </div>

                </div>
                <div class="col-md-4 ">
                    <div class="similior_listing">
                        <h4>{{__('message.listing_current')}}</h4>
                        @if ($current_options->isEmpty())
                            <p>Current Option No Found</p>
                        @else
                            @foreach ($current_options as $item)
                                <a href="{{ route('web.treatment.view', $item->id) }}">
                                    <div class="similiour_tiles_side">
                                        <div class="similior_img">
                                            <img src="{{ $item->imgUrl ?? '' }}">
                                        </div>
                                        <div class="similior_title">
                                            <h4>{{ $item->name ?? '' }}</h4>
                                        </div>
                                    </div>
                                </a>
                            @endforeach
                        @endif





                    </div>

                    <div class="btn_area text-center mt-4">
                        <button type="button" data-bs-toggle="modal" data-bs-target="#enquery_modal"
                            class="btn rounded-pill btn-danger">{{ __('message.enquery_now_title') }}</button>
                    </div>




                    <div class="popular_listing mt-4">
                        <h4>{{ __('message.popular_treatments') }}</h4>

                        @if ($populars_treatrments->isEmpty())
                            <p>No data found.</p>
                        @else
                            @foreach ($populars_treatrments as $item)
                                <a href="{{ route('web.treatment.view', $item->id) }}">
                                    <div class="similiour_tiles_side">
                                        <div class="similior_img">
                                            <img src="{{ $item->imgUrl ?? '' }}">
                                        </div>
                                        <div class="similior_title">
                                            <h4>{{ $item->name ?? '' }}</h4>
                                        </div>
                                    </div>
                                </a>
                            @endforeach
                        @endif



                    </div>
                </div>
            </div>
        </div>
    </div>


    @include('website.includes.footer')

    @include('website.includes.script')
</body>

</html>
