<!DOCTYPE html>
<html lang="en">

@include('website.includes.head')

<body>
    @include('website.includes.header')

    <!-- Page Header Start -->
    <div class="container-fluid page-header py-5 mb-5 wow fadeIn" data-wow-delay="0.1s">
        <div class="container py-5">
            <h1 class="display-3 text-white mb-3 animated slideInDown">{{__('message.treatments_title')}}</h1>
            <nav aria-label="breadcrumb animated slideInDown">
                <ol class="breadcrumb text-uppercase mb-0">
                    <li class="breadcrumb-item"><a class="text-white" href="{{ route('home') }}">{{__('message.home')}}</a></li>

                    <li class="breadcrumb-item text-primary active" aria-current="page">{{__('message.treatments_title')}}</li>
                </ol>
            </nav>
        </div>
    </div>
    <!-- Page Header End -->


    <!-- Service Start -->
    <div class="container-xxl py-5">
        <div class="container">
            <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                <p class="d-inline-block border rounded-pill py-1 px-4">{{__('message.services')}}</p>
                <h1>Health Care Solutions</h1>
            </div>
            <div class="row g-4">
                @foreach ($treatments as $item)
                    <div class="col-lg-4 col-md-6 wow fadeInUp" data-wow-delay="0.1s">
                        <div class="service-item bg-light rounded h-100 p-5">
                            <div class="d-inline-flex align-items-center justify-content-center bg-white rounded-circle mb-4"
                                style="width: 65px; height: 65px;">
                                <img src="{{ $item->iconUrl }}">
                            </div>
                            <h4 class="mb-3">{{ $item->name }}</h4>
                            <p class="mb-4">{{ $item->description }}</p>
                            <ul>
                                <li> <a href="{{ route('web.doctor.list') }}"><i class="fas fa-user-md"></i>
                                        {{__('message.doctor')}}</a></li>
                                <li> <a href="{{ route('web.hospital.list', ['treatment_ref'=>"$item->ref"]) }}"><i class="fa fa-hospital"></i>
                                    {{__('message.hospital')}}</a></li>
                            </ul>
                            <a class="btn" href="{{route('web.treatment.view', $item->id)}}"><i
                                class="fa fa-plus text-danger me-3"></i> {{__('message.read_more_services')}}</a>
                        </div>
                    </div>
                @endforeach

            </div>
        </div>
    </div>
    <!-- Service End -->


    <!-- Appointment Start -->
    @include('website.includes.appointment_form')
    <!-- Appointment End -->



    @include('website.includes.footer')
    <!-- JavaScript Libraries -->
    @include('website.includes.script')
</body>

</html>
