<?php

Route::group(['middleware' => 'locale'], function () {

    Route::group(['prefix' => '/', 'namespace' => "website", 'middleware' => 'system.staging'], function () {

        Route::get('/', ['as' => 'home', 'uses' => 'HomeController@index']);
        Route::post('/enquery/submit', ['as' => 'home.enquery.submit', 'uses' => 'HomeController@submitEnquery']);

        Route::post('/newslatter/subscribe', ['as' => 'newslatter.subscribe', 'uses' => 'HomeController@newslatterSubscribe']);

        Route::get('/change/language', ['as' => 'change.lang', 'uses' => 'HomeController@changeLanguage']);

        Route::group(['prefix' => '/treatments'], function () {
            Route::get('/', ['as' => 'web.treatment.list', 'uses' => 'TreatmentController@list']);
            Route::get('/{ref}/details', ['as' => 'web.treatment.view', 'uses' => 'TreatmentController@view']);
        });


        Route::group(['prefix' => '/contact-us'], function () {
            Route::get('/', ['as' => 'web.contact', 'uses' => 'HomeController@contact']);
        });
        Route::group(['prefix' => '/cms'], function () {
            Route::get('/{label}', ['as' => 'web.cms', 'uses' => 'HomeController@cms']);
        });
        Route::group(['prefix' => '/hospitals'], function () {
            Route::get('/', ['as' => 'web.hospital.list', 'uses' => 'HospitalController@listByCity']);
            Route::get('/{ref}/details', ['as' => 'web.hospital.details', 'uses' => 'HospitalController@view']);

        });
        Route::group(['prefix' => '/doctors'], function () {
            Route::get('/', ['as' => 'web.doctor.list', 'uses' => 'DoctorController@list']);
            Route::get('/{ref}', ['as' => 'web.doctor.view', 'uses' => 'DoctorController@view']);
        });



    });
});
